
      subroutine bmx2b305(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the nonconnected terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      bm2(1)=bm1(5)

      do i=2,3
        bm2(i)=bm1(i+5)
      enddo
 
      bm2(4)=bm1(10)
 
      do i=5,14
        bm2(i)=bm1(i+9)
      enddo

      do i=15,16  
        bm2(i)=bm1(i+10)
      enddo

      bm2(17)=bm1(28) 

      bm2(18)=bm1(30)

      do i=19,44
        bm2(i)=bm1(i+15)
      enddo

      do i=45,47
        bm2(i)=bm1(i+16)  
      enddo

      do i=48,49
        bm2(i)=bm1(i+17)
      enddo

      bm2(50)=bm1(68)

      bm2(51)=bm1(70)

      bm2(52)=bm1(72)

      do i=53,112
        bm2(i)=bm1(i+23)
      enddo

      do i=113,115
        bm2(i)=bm1(i+24)     
      enddo

      do i=116,117
        bm2(i)=bm1(i+25)
      enddo

      bm2(118)=bm1(144)

      bm2(119)=bm1(146)

      bm2(120)=bm1(148)

      bm2(121)=bm1(150)

      nob=121

      return

      end 
      subroutine bmx2b306(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the nonconnected terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      bm2(1)=bm1(5)
 
      do i=2,3
        bm2(i)=bm1(i+5)
      enddo
 
      bm2(4)=bm1(10)
 
      do i=5,14
        bm2(i)=bm1(i+9)
      enddo

      do i=15,16  
        bm2(i)=bm1(i+10)
      enddo

      bm2(17)=bm1(28) 

      bm2(18)=bm1(30)
     
      do i=19,44
        bm2(i)=bm1(i+15)
      enddo

      do i=45,47
        bm2(i)=bm1(i+16)  
      enddo

      do i=48,49
        bm2(i)=bm1(i+17)
      enddo

      bm2(50)=bm1(68)

      bm2(51)=bm1(70)

      bm2(52)=bm1(72)

      do i=53,112
        bm2(i)=bm1(i+23)
      enddo

      do i=113,115
        bm2(i)=bm1(i+24)     
      enddo

      do i=116,117
        bm2(i)=bm1(i+25)
      enddo

      bm2(118)=bm1(144)

      bm2(119)=bm1(146)

      bm2(120)=bm1(148)

      bm2(121)=bm1(150)

      do i=122,235
        bm2(i)=bm1(i+32)
      enddo

      do i=236,238
        bm2(i)=bm1(i+33)
      enddo

      do i=239,241
        bm2(i)=bm1(i+34)
      enddo

      do i=242,243
        bm2(i)=bm1(i+35)
      enddo

      bm2(244)=bm1(280)

      bm2(245)=bm1(282)

      bm2(246)=bm1(284)

      bm2(247)=bm1(286)

      bm2(248)=bm1(288)

      nob=248

      return

      end 
      subroutine bmx2b307(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the nonconnected terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      bm2(1)=bm1(5)
 
      do i=2,3
        bm2(i)=bm1(i+5)
      enddo
 
      bm2(4)=bm1(10)
 
      do i=5,14
        bm2(i)=bm1(i+9)
      enddo

      do i=15,16  
        bm2(i)=bm1(i+10)
      enddo

      bm2(17)=bm1(28) 

      bm2(18)=bm1(30)
     
      do i=19,44
        bm2(i)=bm1(i+15)
      enddo

      do i=45,47
        bm2(i)=bm1(i+16)  
      enddo

      do i=48,49
        bm2(i)=bm1(i+17)
      enddo

      bm2(50)=bm1(68)

      bm2(51)=bm1(70)

      bm2(52)=bm1(72)

      do i=53,112
        bm2(i)=bm1(i+23)
      enddo

      do i=113,115
        bm2(i)=bm1(i+24)     
      enddo

      do i=116,117
        bm2(i)=bm1(i+25)
      enddo

      bm2(118)=bm1(144)

      bm2(119)=bm1(146)

      bm2(120)=bm1(148)

      bm2(121)=bm1(150)

      do i=122,235
        bm2(i)=bm1(i+32)
      enddo

      do i=236,238
        bm2(i)=bm1(i+33)
      enddo

      do i=239,241
        bm2(i)=bm1(i+34)
      enddo

      do i=242,243
        bm2(i)=bm1(i+35)
      enddo

      bm2(244)=bm1(280)

      bm2(245)=bm1(282)

      bm2(246)=bm1(284)

      bm2(247)=bm1(286)

      bm2(248)=bm1(288)

      do i=249,450
        bm2(i)=bm1(i+43)
      enddo

      do i=451,453
        bm2(i)=bm1(i+44)
      enddo

      do i=454,456
        bm2(i)=bm1(i+45)
      enddo

      do i=457,458
        bm2(i)=bm1(i+46)
      enddo

      bm2(459)=bm1(506)

      bm2(460)=bm1(508)

      bm2(461)=bm1(510)

      bm2(462)=bm1(512)

      bm2(463)=bm1(514)

      bm2(464)=bm1(516)

      nob=464

      return

      end 
      subroutine bmx2b308(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the nonconnected terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      bm2(1)=bm1(5)
 
      do i=2,3
        bm2(i)=bm1(i+5)
      enddo
 
      bm2(4)=bm1(10)
 
      do i=5,14
        bm2(i)=bm1(i+9)
      enddo

      do i=15,16  
        bm2(i)=bm1(i+10)
      enddo

      bm2(17)=bm1(28) 

      bm2(18)=bm1(30)
     
      do i=19,44
        bm2(i)=bm1(i+15)
      enddo

      do i=45,47
        bm2(i)=bm1(i+16)  
      enddo

      do i=48,49
        bm2(i)=bm1(i+17)
      enddo

      bm2(50)=bm1(68)

      bm2(51)=bm1(70)

      bm2(52)=bm1(72)

      do i=53,112
        bm2(i)=bm1(i+23)
      enddo

      do i=113,115
        bm2(i)=bm1(i+24)     
      enddo

      do i=116,117
        bm2(i)=bm1(i+25)
      enddo

      bm2(118)=bm1(144)

      bm2(119)=bm1(146)

      bm2(120)=bm1(148)

      bm2(121)=bm1(150)

      do i=122,235
        bm2(i)=bm1(i+32)
      enddo

      do i=236,238
        bm2(i)=bm1(i+33)
      enddo

      do i=239,241
        bm2(i)=bm1(i+34)
      enddo

      do i=242,243
        bm2(i)=bm1(i+35)
      enddo

      bm2(244)=bm1(280)

      bm2(245)=bm1(282)

      bm2(246)=bm1(284)

      bm2(247)=bm1(286)

      bm2(248)=bm1(288)

      do i=249,450
        bm2(i)=bm1(i+43)
      enddo

      do i=451,453
        bm2(i)=bm1(i+44)
      enddo

      do i=454,456
        bm2(i)=bm1(i+45)
      enddo

      do i=457,458
        bm2(i)=bm1(i+46)
      enddo

      bm2(459)=bm1(506)

      bm2(460)=bm1(508)

      bm2(461)=bm1(510)

      bm2(462)=bm1(512)

      bm2(463)=bm1(514)

      bm2(464)=bm1(516)

      do i=465,795
        bm2(i)=bm1(i+55)
      enddo

      do i=796,798
        bm2(i)=bm1(i+56)
      enddo

      do i=799,801
        bm2(i)=bm1(i+57)
      enddo

      do i=802,804
        bm2(i)=bm1(i+58)
      enddo

      do i=805,806
        bm2(i)=bm1(i+59)
      enddo

      bm2(807)=bm1(867)

      bm2(808)=bm1(869)

      bm2(809)=bm1(871)

      bm2(810)=bm1(873)

      bm2(811)=bm1(875)

      bm2(812)=bm1(877)

      bm2(813)=bm1(879)

      nob=813

      return

      end 
      subroutine bmx2b309(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the nonconnected terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      bm2(1)=bm1(5)
 
      do i=2,3
        bm2(i)=bm1(i+5)
      enddo
 
      bm2(4)=bm1(10)
 
      do i=5,14
        bm2(i)=bm1(i+9)
      enddo

      do i=15,16  
        bm2(i)=bm1(i+10)
      enddo

      bm2(17)=bm1(28) 

      bm2(18)=bm1(30)
     
      do i=19,44
        bm2(i)=bm1(i+15)
      enddo

      do i=45,47
        bm2(i)=bm1(i+16)  
      enddo

      do i=48,49
        bm2(i)=bm1(i+17)
      enddo

      bm2(50)=bm1(68)

      bm2(51)=bm1(70)

      bm2(52)=bm1(72)

      do i=53,112
        bm2(i)=bm1(i+23)
      enddo

      do i=113,115
        bm2(i)=bm1(i+24)     
      enddo

      do i=116,117
        bm2(i)=bm1(i+25)
      enddo

      bm2(118)=bm1(144)

      bm2(119)=bm1(146)

      bm2(120)=bm1(148)

      bm2(121)=bm1(150)

      do i=122,235
        bm2(i)=bm1(i+32)
      enddo

      do i=236,238
        bm2(i)=bm1(i+33)
      enddo

      do i=239,241
        bm2(i)=bm1(i+34)
      enddo

      do i=242,243
        bm2(i)=bm1(i+35)
      enddo

      bm2(244)=bm1(280)

      bm2(245)=bm1(282)

      bm2(246)=bm1(284)

      bm2(247)=bm1(286)

      bm2(248)=bm1(288)

      do i=249,450
        bm2(i)=bm1(i+43)
      enddo

      do i=451,453
        bm2(i)=bm1(i+44)
      enddo

      do i=454,456
        bm2(i)=bm1(i+45)
      enddo

      do i=457,458
        bm2(i)=bm1(i+46)
      enddo

      bm2(459)=bm1(506)

      bm2(460)=bm1(508)

      bm2(461)=bm1(510)

      bm2(462)=bm1(512)

      bm2(463)=bm1(514)

      bm2(464)=bm1(516)

      do i=465,795
        bm2(i)=bm1(i+55)
      enddo

      do i=796,798
        bm2(i)=bm1(i+56)
      enddo

      do i=799,801
        bm2(i)=bm1(i+57)
      enddo

      do i=802,804
        bm2(i)=bm1(i+58)
      enddo

      do i=805,806
        bm2(i)=bm1(i+59)
      enddo

      bm2(807)=bm1(867)

      bm2(808)=bm1(869)

      bm2(809)=bm1(871)

      bm2(810)=bm1(873)

      bm2(811)=bm1(875)

      bm2(812)=bm1(877)

      bm2(813)=bm1(879)

      do i=814,1332
        bm2(i)=bm1(i+69)
      enddo

      do i=1333,1335
        bm2(i)=bm1(i+70)
      enddo

      do i=1336,1338
        bm2(i)=bm1(i+71)
      enddo

      do i=1339,1341
        bm2(i)=bm1(i+72)
      enddo

      do i=1342,1343
        bm2(i)=bm1(i+73)
      enddo

      bm2(1344)=bm1(1418)

      bm2(1345)=bm1(1420)

      bm2(1346)=bm1(1422)
      
      bm2(1347)=bm1(1424)

      bm2(1348)=bm1(1426)

      bm2(1349)=bm1(1428)

      bm2(1350)=bm1(1430)

      bm2(1351)=bm1(1432)

      nob=1351

      return

      end 
      subroutine bmx2b310(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the nonconnected terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      bm2(1)=bm1(5)
 
      do i=2,3
        bm2(i)=bm1(i+5)
      enddo
 
      bm2(4)=bm1(10)
 
      do i=5,14
        bm2(i)=bm1(i+9)
      enddo

      do i=15,16  
        bm2(i)=bm1(i+10)
      enddo

      bm2(17)=bm1(28) 

      bm2(18)=bm1(30)
     
      do i=19,44
        bm2(i)=bm1(i+15)
      enddo

      do i=45,47
        bm2(i)=bm1(i+16)  
      enddo

      do i=48,49
        bm2(i)=bm1(i+17)
      enddo

      bm2(50)=bm1(68)

      bm2(51)=bm1(70)

      bm2(52)=bm1(72)

      do i=53,112
        bm2(i)=bm1(i+23)
      enddo

      do i=113,115
        bm2(i)=bm1(i+24)     
      enddo

      do i=116,117
        bm2(i)=bm1(i+25)
      enddo

      bm2(118)=bm1(144)

      bm2(119)=bm1(146)

      bm2(120)=bm1(148)

      bm2(121)=bm1(150)

      do i=122,235
        bm2(i)=bm1(i+32)
      enddo

      do i=236,238
        bm2(i)=bm1(i+33)
      enddo

      do i=239,241
        bm2(i)=bm1(i+34)
      enddo

      do i=242,243
        bm2(i)=bm1(i+35)
      enddo

      bm2(244)=bm1(280)

      bm2(245)=bm1(282)

      bm2(246)=bm1(284)

      bm2(247)=bm1(286)

      bm2(248)=bm1(288)

      do i=249,450
        bm2(i)=bm1(i+43)
      enddo

      do i=451,453
        bm2(i)=bm1(i+44)
      enddo

      do i=454,456
        bm2(i)=bm1(i+45)
      enddo

      do i=457,458
        bm2(i)=bm1(i+46)
      enddo

      bm2(459)=bm1(506)

      bm2(460)=bm1(508)

      bm2(461)=bm1(510)

      bm2(462)=bm1(512)

      bm2(463)=bm1(514)

      bm2(464)=bm1(516)

      do i=465,795
        bm2(i)=bm1(i+55)
      enddo

      do i=796,798
        bm2(i)=bm1(i+56)
      enddo

      do i=799,801
        bm2(i)=bm1(i+57)
      enddo

      do i=802,804
        bm2(i)=bm1(i+58)
      enddo

      do i=805,806
        bm2(i)=bm1(i+59)
      enddo

      bm2(807)=bm1(867)

      bm2(808)=bm1(869)

      bm2(809)=bm1(871)

      bm2(810)=bm1(873)

      bm2(811)=bm1(875)

      bm2(812)=bm1(877)

      bm2(813)=bm1(879)

      do i=814,1332
        bm2(i)=bm1(i+69)
      enddo

      do i=1333,1335
        bm2(i)=bm1(i+70)
      enddo

      do i=1336,1338
        bm2(i)=bm1(i+71)
      enddo

      do i=1339,1341
        bm2(i)=bm1(i+72)
      enddo

      do i=1342,1343
        bm2(i)=bm1(i+73)
      enddo

      bm2(1344)=bm1(1418)

      bm2(1345)=bm1(1420)

      bm2(1346)=bm1(1422)
      
      bm2(1347)=bm1(1424)

      bm2(1348)=bm1(1426)

      bm2(1349)=bm1(1428)

      bm2(1350)=bm1(1430)

      bm2(1351)=bm1(1432)

      do i=1352,2130
        bm2(i)=bm1(i+84)
      enddo

      do i=2131,2133
        bm2(i)=bm1(i+85)
      enddo

      do i=2134,2136
        bm2(i)=bm1(i+86)
      enddo

      do i=2137,2139
        bm2(i)=bm1(i+87)
      enddo

      do i=2140,2142
        bm2(i)=bm1(i+88)
      enddo

      do i=2143,2144
        bm2(i)=bm1(i+89)
      enddo

      bm2(2145)=bm1(2235)

      bm2(2146)=bm1(2237)

      bm2(2147)=bm1(2239)

      bm2(2148)=bm1(2241)

      bm2(2149)=bm1(2243)

      bm2(2150)=bm1(2245)

      bm2(2151)=bm1(2247)

      bm2(2152)=bm1(2249)

      bm2(2153)=bm1(2251)

      nob=2153

      return

      end 

      subroutine bmx2b311(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the nonconnected terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      bm2(1)=bm1(5)
 
      do i=2,3
        bm2(i)=bm1(i+5)
      enddo
 
      bm2(4)=bm1(10)
 
      do i=5,14
        bm2(i)=bm1(i+9)
      enddo

      do i=15,16  
        bm2(i)=bm1(i+10)
      enddo

      bm2(17)=bm1(28) 

      bm2(18)=bm1(30)
     
      do i=19,44
        bm2(i)=bm1(i+15)
      enddo

      do i=45,47
        bm2(i)=bm1(i+16)  
      enddo

      do i=48,49
        bm2(i)=bm1(i+17)
      enddo

      bm2(50)=bm1(68)

      bm2(51)=bm1(70)

      bm2(52)=bm1(72)

      do i=53,112
        bm2(i)=bm1(i+23)
      enddo

      do i=113,115
        bm2(i)=bm1(i+24)     
      enddo

      do i=116,117
        bm2(i)=bm1(i+25)
      enddo

      bm2(118)=bm1(144)

      bm2(119)=bm1(146)

      bm2(120)=bm1(148)

      bm2(121)=bm1(150)

      do i=122,235
        bm2(i)=bm1(i+32)
      enddo

      do i=236,238
        bm2(i)=bm1(i+33)
      enddo

      do i=239,241
        bm2(i)=bm1(i+34)
      enddo

      do i=242,243
        bm2(i)=bm1(i+35)
      enddo

      bm2(244)=bm1(280)

      bm2(245)=bm1(282)

      bm2(246)=bm1(284)

      bm2(247)=bm1(286)

      bm2(248)=bm1(288)

      do i=249,450
        bm2(i)=bm1(i+43)
      enddo

      do i=451,453
        bm2(i)=bm1(i+44)
      enddo

      do i=454,456
        bm2(i)=bm1(i+45)
      enddo

      do i=457,458
        bm2(i)=bm1(i+46)
      enddo

      bm2(459)=bm1(506)

      bm2(460)=bm1(508)

      bm2(461)=bm1(510)

      bm2(462)=bm1(512)

      bm2(463)=bm1(514)

      bm2(464)=bm1(516)

      do i=465,795
        bm2(i)=bm1(i+55)
      enddo

      do i=796,798
        bm2(i)=bm1(i+56)
      enddo

      do i=799,801
        bm2(i)=bm1(i+57)
      enddo

      do i=802,804
        bm2(i)=bm1(i+58)
      enddo

      do i=805,806
        bm2(i)=bm1(i+59)
      enddo

      bm2(807)=bm1(867)

      bm2(808)=bm1(869)

      bm2(809)=bm1(871)

      bm2(810)=bm1(873)

      bm2(811)=bm1(875)

      bm2(812)=bm1(877)

      bm2(813)=bm1(879)

      do i=814,1332
        bm2(i)=bm1(i+69)
      enddo

      do i=1333,1335
        bm2(i)=bm1(i+70)
      enddo

      do i=1336,1338
        bm2(i)=bm1(i+71)
      enddo

      do i=1339,1341
        bm2(i)=bm1(i+72)
      enddo

      do i=1342,1343
        bm2(i)=bm1(i+73)
      enddo

      bm2(1344)=bm1(1418)

      bm2(1345)=bm1(1420)

      bm2(1346)=bm1(1422)
      
      bm2(1347)=bm1(1424)

      bm2(1348)=bm1(1426)

      bm2(1349)=bm1(1428)

      bm2(1350)=bm1(1430)

      bm2(1351)=bm1(1432)

      do i=1352,2130
        bm2(i)=bm1(i+84)
      enddo

      do i=2131,2133
        bm2(i)=bm1(i+85)
      enddo

      do i=2134,2136
        bm2(i)=bm1(i+86)
      enddo

      do i=2137,2139
        bm2(i)=bm1(i+87)
      enddo

      do i=2140,2142
        bm2(i)=bm1(i+88)
      enddo

      do i=2143,2144
        bm2(i)=bm1(i+89)
      enddo

      bm2(2145)=bm1(2235)

      bm2(2146)=bm1(2237)

      bm2(2147)=bm1(2239)

      bm2(2148)=bm1(2241)

      bm2(2149)=bm1(2243)

      bm2(2150)=bm1(2245)

      bm2(2151)=bm1(2247)

      bm2(2152)=bm1(2249)

      bm2(2153)=bm1(2251)

      do i=2154,3287
        bm2(i)=bm1(i+101)
      enddo

      do i=3288,3290
        bm2(i)=bm1(i+102)
      enddo

      do i=3291,3293
        bm2(i)=bm1(i+103)
      enddo

      do i=3294,3296
        bm2(i)=bm1(i+104)
      enddo

      do i=3297,3299
        bm2(i)=bm1(i+105)
      enddo

      do i=3300,3301
        bm2(i)=bm1(i+106)
      enddo

      bm2(3302)=bm1(3409)

      bm2(3303)=bm1(3411)

      bm2(3304)=bm1(3413)

      bm2(3305)=bm1(3415)

      bm2(3306)=bm1(3417)

      bm2(3307)=bm1(3419)

      bm2(3308)=bm1(3421)

      bm2(3309)=bm1(3423)

      bm2(3310)=bm1(3425)

      bm2(3311)=bm1(3427)

      nob=3311

      return

      end 

      subroutine bmx2b312(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the nonconnected terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      bm2(1)=bm1(5)
 
      do i=2,3
        bm2(i)=bm1(i+5)
      enddo
 
      bm2(4)=bm1(10)
 
      do i=5,14
        bm2(i)=bm1(i+9)
      enddo

      do i=15,16  
        bm2(i)=bm1(i+10)
      enddo

      bm2(17)=bm1(28) 

      bm2(18)=bm1(30)
     
      do i=19,44
        bm2(i)=bm1(i+15)
      enddo

      do i=45,47
        bm2(i)=bm1(i+16)  
      enddo

      do i=48,49
        bm2(i)=bm1(i+17)
      enddo

      bm2(50)=bm1(68)

      bm2(51)=bm1(70)

      bm2(52)=bm1(72)

      do i=53,112
        bm2(i)=bm1(i+23)
      enddo

      do i=113,115
        bm2(i)=bm1(i+24)     
      enddo

      do i=116,117
        bm2(i)=bm1(i+25)
      enddo

      bm2(118)=bm1(144)

      bm2(119)=bm1(146)

      bm2(120)=bm1(148)

      bm2(121)=bm1(150)

      do i=122,235
        bm2(i)=bm1(i+32)
      enddo

      do i=236,238
        bm2(i)=bm1(i+33)
      enddo

      do i=239,241
        bm2(i)=bm1(i+34)
      enddo

      do i=242,243
        bm2(i)=bm1(i+35)
      enddo

      bm2(244)=bm1(280)

      bm2(245)=bm1(282)

      bm2(246)=bm1(284)

      bm2(247)=bm1(286)

      bm2(248)=bm1(288)

      do i=249,450
        bm2(i)=bm1(i+43)
      enddo

      do i=451,453
        bm2(i)=bm1(i+44)
      enddo

      do i=454,456
        bm2(i)=bm1(i+45)
      enddo

      do i=457,458
        bm2(i)=bm1(i+46)
      enddo

      bm2(459)=bm1(506)

      bm2(460)=bm1(508)

      bm2(461)=bm1(510)

      bm2(462)=bm1(512)

      bm2(463)=bm1(514)

      bm2(464)=bm1(516)

      do i=465,795
        bm2(i)=bm1(i+55)
      enddo

      do i=796,798
        bm2(i)=bm1(i+56)
      enddo

      do i=799,801
        bm2(i)=bm1(i+57)
      enddo

      do i=802,804
        bm2(i)=bm1(i+58)
      enddo

      do i=805,806
        bm2(i)=bm1(i+59)
      enddo

      bm2(807)=bm1(867)

      bm2(808)=bm1(869)

      bm2(809)=bm1(871)

      bm2(810)=bm1(873)

      bm2(811)=bm1(875)

      bm2(812)=bm1(877)

      bm2(813)=bm1(879)

      do i=814,1332
        bm2(i)=bm1(i+69)
      enddo

      do i=1333,1335
        bm2(i)=bm1(i+70)
      enddo

      do i=1336,1338
        bm2(i)=bm1(i+71)
      enddo

      do i=1339,1341
        bm2(i)=bm1(i+72)
      enddo

      do i=1342,1343
        bm2(i)=bm1(i+73)
      enddo

      bm2(1344)=bm1(1418)

      bm2(1345)=bm1(1420)

      bm2(1346)=bm1(1422)
      
      bm2(1347)=bm1(1424)

      bm2(1348)=bm1(1426)

      bm2(1349)=bm1(1428)

      bm2(1350)=bm1(1430)

      bm2(1351)=bm1(1432)

      do i=1352,2130
        bm2(i)=bm1(i+84)
      enddo

      do i=2131,2133
        bm2(i)=bm1(i+85)
      enddo

      do i=2134,2136
        bm2(i)=bm1(i+86)
      enddo

      do i=2137,2139
        bm2(i)=bm1(i+87)
      enddo

      do i=2140,2142
        bm2(i)=bm1(i+88)
      enddo

      do i=2143,2144
        bm2(i)=bm1(i+89)
      enddo

      bm2(2145)=bm1(2235)

      bm2(2146)=bm1(2237)

      bm2(2147)=bm1(2239)

      bm2(2148)=bm1(2241)

      bm2(2149)=bm1(2243)

      bm2(2150)=bm1(2245)

      bm2(2151)=bm1(2247)

      bm2(2152)=bm1(2249)

      bm2(2153)=bm1(2251)

      do i=2154,3287
        bm2(i)=bm1(i+101)
      enddo

      do i=3288,3290
        bm2(i)=bm1(i+102)
      enddo

      do i=3291,3293
        bm2(i)=bm1(i+103)
      enddo

      do i=3294,3296
        bm2(i)=bm1(i+104)
      enddo

      do i=3297,3299
        bm2(i)=bm1(i+105)
      enddo

      do i=3300,3301
        bm2(i)=bm1(i+106)
      enddo

      bm2(3302)=bm1(3409)

      bm2(3303)=bm1(3411)

      bm2(3304)=bm1(3413)

      bm2(3305)=bm1(3415)

      bm2(3306)=bm1(3417)

      bm2(3307)=bm1(3419)

      bm2(3308)=bm1(3421)

      bm2(3309)=bm1(3423)

      bm2(3310)=bm1(3425)

      bm2(3311)=bm1(3427)

      do i=3312,4915
        bm2(i)=bm1(i+119)
      enddo

      do i=4916,4918
        bm2(i)=bm1(i+120)
      enddo

      do i=4919,4921
        bm2(i)=bm1(i+121)
      enddo

      do i=4922,4924
        bm2(i)=bm1(i+122)
      enddo

      do i=4925,4927
        bm2(i)=bm1(i+123)
      enddo

      do i=4928,4930
        bm2(i)=bm1(i+124)
      enddo

      do i=4931,4932
        bm2(i)=bm1(i+125)
      enddo

      bm2(4933)=bm1(5059)

      bm2(4934)=bm1(5061)

      bm2(4935)=bm1(5063)

      bm2(4936)=bm1(5065)

      bm2(4937)=bm1(5067)

      bm2(4938)=bm1(5069)

      bm2(4939)=bm1(5071)

      bm2(4940)=bm1(5073)

      bm2(4941)=bm1(5075)

      bm2(4942)=bm1(5077)

      bm2(4943)=bm1(5079)

      nob=4943

      return

      end 

