      subroutine bmxnc105(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the nonconnected terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      do i=1,2
        bm2(i)=bm1(i)
      enddo
 
      do i=3,7
        bm2(i)=bm1(i+1)
      enddo
  
      do i=8,15
        bm2(i)=bm1(i+2)
      enddo
  
      bm2(16)=bm1(19)
  
      do i=17,31
        bm2(i)=bm1(i+4)
      enddo
  
      bm2(32)=bm1(37)
      bm2(33)=bm1(39)
      bm2(34)=bm1(40)

      nob=34

      return

      end 
      subroutine bmxnc106(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the nonconnected terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      do i=1,2
        bm2(i)=bm1(i)
      enddo

      do i=3,7
        bm2(i)=bm1(i+1)
      enddo

      do i=8,15
        bm2(i)=bm1(i+2)
      enddo

      bm2(16)=bm1(19)

      do i=17,31
        bm2(i)=bm1(i+4)
      enddo

      bm2(32)=bm1(37)
      bm2(33)=bm1(39)
      bm2(34)=bm1(40)

      do i=35,59
        bm2(i)=bm1(i+6)
      enddo

      bm2(60)=bm1(67)
      bm2(61)=bm1(69)
      bm2(62)=bm1(71)
      bm2(63)=bm1(72)
  
      nob=63

      return

      end 
      subroutine bmxnc107(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the nonconnected terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      do i=1,2
        bm2(i)=bm1(i)
      enddo

      do i=3,7
        bm2(i)=bm1(i+1)
      enddo

      do i=8,15
        bm2(i)=bm1(i+2)
      enddo

      bm2(16)=bm1(19)

      do i=17,31
        bm2(i)=bm1(i+4)
      enddo

      bm2(32)=bm1(37)
      bm2(33)=bm1(39)
      bm2(34)=bm1(40)

      do i=35,59
        bm2(i)=bm1(i+6)
      enddo

      bm2(60)=bm1(67)
      bm2(61)=bm1(69)
      bm2(62)=bm1(71)
      bm2(63)=bm1(72)
  
      do i=64,104
        bm2(i)=bm1(i+9)
      enddo

      bm2(105)=bm1(115)
      bm2(106)=bm1(117)
      bm2(107)=bm1(119)
      bm2(108)=bm1(120)


      nob=108

      return

      end 
      subroutine bmxnc108(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the nonconnected terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      do i=1,2
        bm2(i)=bm1(i)
      enddo

      do i=3,7
        bm2(i)=bm1(i+1)
      enddo

      do i=8,15
        bm2(i)=bm1(i+2)
      enddo

      bm2(16)=bm1(19)

      do i=17,31
        bm2(i)=bm1(i+4)
      enddo

      bm2(32)=bm1(37)
      bm2(33)=bm1(39)
      bm2(34)=bm1(40)

      do i=35,59
        bm2(i)=bm1(i+6)
      enddo

      bm2(60)=bm1(67)
      bm2(61)=bm1(69)
      bm2(62)=bm1(71)
      bm2(63)=bm1(72)
  
      do i=64,104
        bm2(i)=bm1(i+9)
      enddo

      bm2(105)=bm1(115)
      bm2(106)=bm1(117)
      bm2(107)=bm1(119)
      bm2(108)=bm1(120)

      do i=109,174
        bm2(i)=bm1(i+12)
      enddo

      bm2(175)=bm1(188)
      bm2(176)=bm1(190)
      bm2(177)=bm1(192)
      bm2(178)=bm1(194)
      bm2(179)=bm1(195)

      nob=179

      return

      end 
      subroutine bmxnc109(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the nonconnected terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      do i=1,2
        bm2(i)=bm1(i)
      enddo

      do i=3,7
        bm2(i)=bm1(i+1)
      enddo

      do i=8,15
        bm2(i)=bm1(i+2)
      enddo

      bm2(16)=bm1(19)

      do i=17,31
        bm2(i)=bm1(i+4)
      enddo

      bm2(32)=bm1(37)
      bm2(33)=bm1(39)
      bm2(34)=bm1(40)

      do i=35,59
        bm2(i)=bm1(i+6)
      enddo

      bm2(60)=bm1(67)
      bm2(61)=bm1(69)
      bm2(62)=bm1(71)
      bm2(63)=bm1(72)
  
      do i=64,104
        bm2(i)=bm1(i+9)
      enddo

      bm2(105)=bm1(115)
      bm2(106)=bm1(117)
      bm2(107)=bm1(119)
      bm2(108)=bm1(120)

      do i=109,174
        bm2(i)=bm1(i+12)
      enddo

      bm2(175)=bm1(188)
      bm2(176)=bm1(190)
      bm2(177)=bm1(192)
      bm2(178)=bm1(194)
      bm2(179)=bm1(195)

      do i=180,281
        bm2(i)=bm1(i+16)
      enddo

      bm2(282)=bm1(299)
      bm2(283)=bm1(301)
      bm2(284)=bm1(303)
      bm2(285)=bm1(305)
      bm2(286)=bm1(306)

      nob=286

      return

      end 
      subroutine bmxnc110(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the nonconnected terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      do i=1,2
        bm2(i)=bm1(i)
      enddo

      do i=3,7
        bm2(i)=bm1(i+1)
      enddo

      do i=8,15
        bm2(i)=bm1(i+2)
      enddo

      bm2(16)=bm1(19)

      do i=17,31
        bm2(i)=bm1(i+4)
      enddo

      bm2(32)=bm1(37)
      bm2(33)=bm1(39)
      bm2(34)=bm1(40)

      do i=35,59
        bm2(i)=bm1(i+6)
      enddo

      bm2(60)=bm1(67)
      bm2(61)=bm1(69)
      bm2(62)=bm1(71)
      bm2(63)=bm1(72)
  
      do i=64,104
        bm2(i)=bm1(i+9)
      enddo

      bm2(105)=bm1(115)
      bm2(106)=bm1(117)
      bm2(107)=bm1(119)
      bm2(108)=bm1(120)

      do i=109,174
        bm2(i)=bm1(i+12)
      enddo

      bm2(175)=bm1(188)
      bm2(176)=bm1(190)
      bm2(177)=bm1(192)
      bm2(178)=bm1(194)
      bm2(179)=bm1(195)

      do i=180,281
        bm2(i)=bm1(i+16)
      enddo

      bm2(282)=bm1(299)
      bm2(283)=bm1(301)
      bm2(284)=bm1(303)
      bm2(285)=bm1(305)
      bm2(286)=bm1(306)

      do i=287,435
        bm2(i)=bm1(i+20)
      enddo

      bm2(436)=bm1(457)
      bm2(437)=bm1(459)
      bm2(438)=bm1(461)
      bm2(439)=bm1(463)
      bm2(440)=bm1(465)
      bm2(441)=bm1(466)

      nob=441

      return

      end 
