      subroutine evmono3(rms,rm,nom)
***********************************************************************
*  The subroutine reads six Morse variables(X) and calculate the
*  monomials(M) that do not have usable decomposition.
***********************************************************************

      implicit double precision (a-h,o-z)

      double precision rms(6)  
      double precision rm(0:nom-1)

      rm(0) = 1.0d0
      rm(1) = rms(6)
      rm(2) = rms(5)
      rm(3) = rms(4)
      rm(4) = rms(3)
      rm(5) = rms(2)
      rm(6) = rms(1)
      rm(7) = rm(3)*rm(4)
      rm(8) = rm(2)*rm(5)
      rm(9) = rm(2)*rm(4)
      rm(10) = rm(3)*rm(5)
      rm(11) = rm(2)*rm(3)
      rm(12) = rm(4)*rm(5)
      rm(13) = rm(2)*rm(7)
      rm(14) = rm(2)*rm(10)
      rm(15) = rm(2)*rm(12)
      rm(16) = rm(3)*rm(12)
      rm(17) = rm(2)*rm(16)

C  read from numb.f -VZ
!      nom=18

      return

      end
