
      subroutine Frmbmx2b(bm1,bm2,iorder,nobm,nob)
***********************************************************************
* Subroutine to remove 2-body and non-connected terms from BM1 
* and return BM2
***********************************************************************
      
      implicit double precision (a-h,o-z)

      common /optn/ iatyp,icop,imethd,iwop,ityp,nfun,imga,imgb,imgc,imgd

      integer i,j
      double precision bm1(nobm), bm2(nobm)

C Debug
C      write(*,*) "Enter FrmBM1 subroutine!"
C Debug
      if (ityp .eq. 1) then
        if (iorder .eq. 5) then
          call bmx2b105(bm1,bm2,nobm,nob)
        else if (iorder .eq. 6) then
          call bmx2b106(bm1,bm2,nobm,nob)
        else if (iorder .eq. 7) then
          call bmx2b107(bm1,bm2,nobm,nob)
        else if (iorder .eq. 8) then
          call bmx2b108(bm1,bm2,nobm,nob)
        else if (iorder .eq. 9) then
          call bmx2b109(bm1,bm2,nobm,nob)
        else if (iorder .eq. 10) then
          call bmx2b110(bm1,bm2,nobm,nob)
        else if (iorder .eq. 0) then
         continue
        else
          write(*,*) "IOder should be <= 10 for A4 system."
        endif
      else if (ityp .eq. 2) then
        if (iorder .eq. 5) then
C          call bmx2b205(bm1,bm2,nobm,nob)
        else if (iorder .eq. 6) then
C          call bmx2b206(bm1,bm2,nobm,nob)
        else if (iorder .eq. 7) then
C          call bmx2b207(bm1,bm2,nobm,nob)
        else if (iorder .eq. 8) then
C          call bmx2b208(bm1,bm2,nobm,nob)
        else if (iorder .eq. 9) then
C          call bmx2b209(bm1,bm2,nobm,nob)
        else if (iorder .eq. 10) then
C          call bmx2b210(bm1,bm2,nobm,nob)
        else if (iorder .eq. 0) then
         continue
        else
          write(*,*) "IOder should be <= 10 for AB3 system."
        endif
      else if (ityp .eq. 3) then
        if (iorder .eq. 5) then
          call bmx2b305(bm1,bm2,nobm,nob)
        else if (iorder .eq. 6) then
          call bmx2b306(bm1,bm2,nobm,nob)
        else if (iorder .eq. 7) then
          call bmx2b307(bm1,bm2,nobm,nob)
        else if (iorder .eq. 8) then
          call bmx2b308(bm1,bm2,nobm,nob)
        else if (iorder .eq. 9) then
          call bmx2b309(bm1,bm2,nobm,nob)
        else if (iorder .eq. 10) then
          call bmx2b310(bm1,bm2,nobm,nob)
        else if (iorder .eq. 11) then
          call bmx2b311(bm1,bm2,nobm,nob)
        else if (iorder .eq. 12) then
          call bmx2b312(bm1,bm2,nobm,nob)
        else if (iorder .eq. 0) then
         continue
        else
          write(*,*) "IOder should be <= 10 for A2B2 system."
        endif
      else if (ityp .eq. 4) then
        if (iorder .eq. 5) then
          call bmx2b405(bm1,bm2,nobm,nob)
        else if (iorder .eq. 6) then
          call bmx2b406(bm1,bm2,nobm,nob)
        else if (iorder .eq. 7) then
          call bmx2b407(bm1,bm2,nobm,nob)
        else if (iorder .eq. 8) then
          call bmx2b408(bm1,bm2,nobm,nob)
        else if (iorder .eq. 0) then
         continue
        else
          write(*,*) "IOder should be <= 8 for A2BC system."
        endif
      else
        write(*,*) 'Only ITyp = 1 (A4), ITyp = 2 (AB3), '
        write(*,*) 'ITyp = 3 (A2B2), and ITyp = 4 (A2BC)'
        write(*,*) 'are allowed in current verion.'
      endif

      end 
