      subroutine evmono2(rms,rm,nom)
***********************************************************************
*  The subroutine reads six Morse variables(X) and calculate the
*  monomials(M) that do not have usable decomposition.
***********************************************************************

      implicit double precision (a-h,o-z)

      double precision rms(6)
      double precision rm(0:nom-1)

      rm(0) = 1.0D0
      rm(1) = rms(6)
      rm(2) = rms(5)
      rm(3) = rms(4)
      rm(4) = rms(3)
      rm(5) = rms(2)
      rm(6) = rms(1)
      rm(7) = rm(1)*rm(2)
      rm(8) = rm(1)*rm(3)
      rm(9) = rm(2)*rm(3)
      rm(10) = rm(3)*rm(4)
      rm(11) = rm(2)*rm(5)
      rm(12) = rm(1)*rm(6)
      rm(13) = rm(4)*rm(5)
      rm(14) = rm(4)*rm(6)
      rm(15) = rm(5)*rm(6)
      rm(16) = rm(1)*rm(9)
      rm(17) = rm(1)*rm(10)
      rm(18) = rm(2)*rm(10)
      rm(19) = rm(1)*rm(11)
      rm(20) = rm(3)*rm(11)
      rm(21) = rm(2)*rm(12)
      rm(22) = rm(3)*rm(12)
      rm(23) = rm(2)*rm(13)
      rm(24) = rm(3)*rm(13)
      rm(25) = rm(1)*rm(14)
      rm(26) = rm(3)*rm(14)
      rm(27) = rm(1)*rm(15)
      rm(28) = rm(2)*rm(15)
      rm(29) = rm(4)*rm(15)
      rm(30) = rm(2)*rm(24)
      rm(31) = rm(1)*rm(26)
      rm(32) = rm(1)*rm(28)

C  read from numb.f -VZ
C      nom=33

      return

      end
