C      subroutine sort(Vabit,Vfit,Jacob,X,r,n,erru)
      subroutine sort(Vabit,Vfit,Jacob,X,r,n)

      implicit double precision (a-h,o-z)

      character (len=50) uinp,abnu,outu,erru,cffu,vfu,vfeu,vfe2u,
     $                   abnucas,abnucor,vfcas,vfcor,cffucas,cffucor
      common /filnam/ uinp,abnu,outu,erru,cffu,vfu,vfeu,vfe2u,
     $                   abnucas,abnucor,vfcas,vfcor,cffucas,cffucor
      common /inout/ icoord,ifmt,iout,isan
      common /optn/ iatyp,icop,imethd,iwop,ityp,nfun,imga,imgb,imgc,imgd
      common /errlist/ smiel, smael, sael

      integer i,n

      integer,allocatable,dimension(:):: indx

      double precision Jacob(n,6), X(n,12),r(n,6)
      double precision Vabit(n),Vfit(n)

      double precision,allocatable,dimension(:):: abserr, err

      allocate(indx(n),abserr(n),err(n))

C      write(*,*) 'Please enter number of data point'
C      read(*,*) n
C      write(*,*) 'Please enter Vabit, Vfit'
C      do i=1,n
C        read(*,*) Vabit(i),Vfit(i)
C      enddo

      do i=1,n
        indx(i)=i
        err(i)=Vfit(i)-Vabit(i)
        abserr(i)=abs(err(i))
      enddo
       
      do i=1,n
C        err(i)=Vfit(i)-Vabit(i) 
C        abserr(i)=abs(err(i))
      enddo

      call tsort(indx,abserr,n)
      write(*,*) "Succeed to call TSort!"

C The borders are now given in the input file instead of hard-coded
C values - VZ

      open(unit=80,file=trim(adjustl(erru)))
      write(80,*) 'The absolute error from largest to smallest'
      if (icoord .eq. 0) then
        write(80,*) ' index Abs(error) error  Vfit   Vabit   r1
     $   r2      d       theta1    theta2       phi'
        do i=1,n
         if ((Vabit(indx(i)) .lt. smael .and. Vabit(indx(i)) .ge. smiel)
     $       .and. (abserr(indx(i)) .gt. sael)) then
            write(80,9999) indx(i),abserr(indx(i)),err(indx(i)),
     $      Vfit(indx(i)),Vabit(indx(i)),
     $      Jacob(indx(i),1),Jacob(indx(i),2),Jacob(indx(i),3),
     $      Jacob(indx(i),4),Jacob(indx(i),5),Jacob(indx(i),6)
          endif
        enddo
      else if (icoord .eq. 1) then
        write(80,*) 'Index  Abs(error)   Error     Vfit      Vabit '  
        do i=1,n
         if ((Vabit(indx(i)) .lt. smael .and. Vabit(indx(i)) .ge. smiel)
     $      .and. (abserr(indx(i)) .gt. sael)) then
            write(80,9998) indx(i),abserr(indx(i)),err(indx(i)),
     $                    vfit(indx(i)),vabit(indx(i))
            write(80,9997) X(indx(i),1),X(indx(i),2),X(indx(i),3)
            write(80,9997) X(indx(i),4),X(indx(i),5),X(indx(i),6)
            write(80,9997) X(indx(i),7),X(indx(i),8),X(indx(i),9)
            write(80,9997) X(indx(i),10),X(indx(i),11),X(indx(i),12)
          endif
        enddo

      else if (icoord .eq. 2) then
        write(80,*) ' index Abs(error) error  Vfit   Vabit   r1
     $   r2      r3      r4        r5           r6'
        do i=1,n
         if ((Vabit(indx(i)) .lt. smael .and. Vabit(indx(i)) .ge. smiel)
     $       .and. (abserr(indx(i)) .gt. sael)) then
            write(80,9999) indx(i),abserr(indx(i)),err(indx(i)),
     $      Vfit(indx(i)),Vabit(indx(i)),
     $      r(indx(i),1),r(indx(i),2),r(indx(i),3),
     $      r(indx(i),4),r(indx(i),5),r(indx(i),6)
          endif
        enddo

      endif
     
 9999 Format(1x,i5,4f10.2,3f10.5,3f10.5)
 9998 Format(1x,i5,4f12.6)
 9997 Format(1x,3f18.10)
      close(unit=80)
      
      return

C close the old arrays, which no longer needed, to release memory -VZ
      deallocate(indx,abserr,err)

      end
