
      subroutine bmx2b105(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the 2-body terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      bm2(1)=bm1(4)
 
      do i=2,4
        bm2(i)=bm1(i+4)
      enddo
  
      bm2(5)=bm1(10)
 
      do i=6,11
        bm2(i)=bm1(i+6)
      enddo
  
      bm2(12)=bm1(19)
      bm2(13)=bm1(21)
 
      do i=14,26
        bm2(i)=bm1(i+9)
      enddo
  
      bm2(27)=bm1(37)
      bm2(28)=bm1(39)

      nob=28

      return

      end 
      subroutine bmx2b106(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the 2-body terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      bm2(1)=bm1(4)

      do i=2,4
        bm2(i)=bm1(i+4)
      enddo

      bm2(5)=bm1(10)

      do i=6,11
        bm2(i)=bm1(i+6)
      enddo

      bm2(12)=bm1(19)
      bm2(13)=bm1(21)

      do i=14,26
        bm2(i)=bm1(i+9)
      enddo

      bm2(27)=bm1(37)
      bm2(28)=bm1(39)

      do i=29,53
        bm2(i)=bm1(i+12)
      enddo

      bm2(54)=bm1(67)
      bm2(55)=bm1(69)
      bm2(56)=bm1(71)
  
      nob=56

      return

      end 
      subroutine bmx2b107(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the 2-body terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      bm2(1)=bm1(4)

      do i=2,4
        bm2(i)=bm1(i+4)
      enddo

      bm2(5)=bm1(10)
      
      do i=6,11
        bm2(i)=bm1(i+6)
      enddo
      
      bm2(12)=bm1(19)
      bm2(13)=bm1(21)

      do i=14,26
        bm2(i)=bm1(i+9)
      enddo

      bm2(27)=bm1(37)
      bm2(28)=bm1(39)

      do i=29,53
        bm2(i)=bm1(i+12)
      enddo

      bm2(54)=bm1(67)
      bm2(55)=bm1(69)
      bm2(56)=bm1(71)
  
      do i=57,97
        bm2(i)=bm1(i+16)
      enddo

      bm2(98)=bm1(115)
      bm2(99)=bm1(117)
      bm2(100)=bm1(119)

      nob=100

      return

      end 
      subroutine bmx2b108(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the 2-body terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      bm2(1)=bm1(4)

      do i=2,4
        bm2(i)=bm1(i+4)
      enddo

      bm2(5)=bm1(10)

      do i=6,11
        bm2(i)=bm1(i+6)
      enddo

      bm2(12)=bm1(19)
      bm2(13)=bm1(21)

      do i=14,26
        bm2(i)=bm1(i+9)
      enddo

      bm2(27)=bm1(37)
      bm2(28)=bm1(39)

      do i=29,53
        bm2(i)=bm1(i+12)
      enddo

      bm2(54)=bm1(67)
      bm2(55)=bm1(69)
      bm2(56)=bm1(71)
      
      do i=57,97
        bm2(i)=bm1(i+16)
      enddo

      bm2(98)=bm1(115)
      bm2(99)=bm1(117)
      bm2(100)=bm1(119)

      do i=101,166
        bm2(i)=bm1(i+20)
      enddo

      bm2(167)=bm1(188)
      bm2(168)=bm1(190)
      bm2(169)=bm1(192)
      bm2(170)=bm1(194)

      nob=170

      return

      end 
      subroutine bmx2b109(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the 2-body terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      bm2(1)=bm1(4)

      do i=2,4
        bm2(i)=bm1(i+4)
      enddo

      bm2(5)=bm1(10)

      do i=6,11
        bm2(i)=bm1(i+6)
      enddo

      bm2(12)=bm1(19)
      bm2(13)=bm1(21)

      do i=14,26
        bm2(i)=bm1(i+9)
      enddo

      bm2(27)=bm1(37)
      bm2(28)=bm1(39)

      do i=29,53
        bm2(i)=bm1(i+12)
      enddo

      bm2(54)=bm1(67)
      bm2(55)=bm1(69)
      bm2(56)=bm1(71)

      do i=57,97
        bm2(i)=bm1(i+16)
      enddo

      bm2(98)=bm1(115)
      bm2(99)=bm1(117)
      bm2(100)=bm1(119)

      do i=101,166
        bm2(i)=bm1(i+20)
      enddo

      bm2(167)=bm1(188)
      bm2(168)=bm1(190)
      bm2(169)=bm1(192)
      bm2(170)=bm1(194)

      do i=171,272
        bm2(i)=bm1(i+25)
      enddo

      bm2(273)=bm1(299)
      bm2(274)=bm1(301)
      bm2(275)=bm1(303)
      bm2(276)=bm1(305)

      nob=276

      return

      end 
      subroutine bmx2b110(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the 2-body terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      bm2(1)=bm1(4)

      do i=2,4
        bm2(i)=bm1(i+4)
      enddo

      bm2(5)=bm1(10)

      do i=6,11
        bm2(i)=bm1(i+6)
      enddo

      bm2(12)=bm1(19)
      bm2(13)=bm1(21)

      do i=14,26
        bm2(i)=bm1(i+9)
      enddo

      bm2(27)=bm1(37)
      bm2(28)=bm1(39)

      do i=29,53
        bm2(i)=bm1(i+12)
      enddo

      bm2(54)=bm1(67)
      bm2(55)=bm1(69)
      bm2(56)=bm1(71)

      do i=57,97
        bm2(i)=bm1(i+16)
      enddo

      bm2(98)=bm1(115)
      bm2(99)=bm1(117)
      bm2(100)=bm1(119)
      
      do i=101,166
        bm2(i)=bm1(i+20)
      enddo

      bm2(167)=bm1(188)
      bm2(168)=bm1(190)
      bm2(169)=bm1(192)
      bm2(170)=bm1(194)

      do i=171,272
        bm2(i)=bm1(i+25)
      enddo

      bm2(273)=bm1(299)
      bm2(274)=bm1(301)
      bm2(275)=bm1(303)
      bm2(276)=bm1(305)

      do i=277,425
        bm2(i)=bm1(i+30)
      enddo

      bm2(426)=bm1(457)
      bm2(427)=bm1(459)
      bm2(428)=bm1(461)
      bm2(429)=bm1(463)
      bm2(430)=bm1(465)

      nob=430

      return

      end 
