      subroutine bmx2b405(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the nonconnected terms in Bowman's approach
*  and the 2body terms
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      bm2(1)=bm1(1)
      bm2(2)=bm1(6)

      bm2(3)=bm1(7)
      bm2(4)=bm1(8)
 
      bm2(5)=bm1(10) 
      bm2(6)=bm1(11)
 
      bm2(7)=bm1(13)
      bm2(8)=bm1(14)

      do i=9,24
        bm2(i)=bm1(i+10)
      enddo

      bm2(25)=bm1(36)
      bm2(26)=bm1(37)

      bm2(27)=bm1(39)
      bm2(28)=bm1(40)

      bm2(29)=bm1(42)
      bm2(30)=bm1(43)

      bm2(31)=bm1(45)
      bm2(32)=bm1(46)

      do i=33,79
        bm2(i)=bm1(i+18)
      enddo

      bm2(80)=bm1(99)
      bm2(81)=bm1(100)

      bm2(82)=bm1(102)
      bm2(83)=bm1(103)
      bm2(84)=bm1(104)

      bm2(85)=bm1(106)
      bm2(86)=bm1(107)

      bm2(87)=bm1(109)
      bm2(88)=bm1(110)

      bm2(89)=bm1(112)
      bm2(90)=bm1(113)

      bm2(91)=bm1(115)
      bm2(92)=bm1(116)

      do i=93,199
        bm2(i)=bm1(i+28)
      enddo

      bm2(200)=bm1(229)
      bm2(201)=bm1(230)

      bm2(202)=bm1(232)
      bm2(203)=bm1(233)

      bm2(204)=bm1(235)
      bm2(205)=bm1(236)
      bm2(206)=bm1(237)

      bm2(207)=bm1(239)
      bm2(208)=bm1(240)

      bm2(209)=bm1(242)
      bm2(210)=bm1(243)

      bm2(211)=bm1(245)
      bm2(212)=bm1(246)

      bm2(213)=bm1(248)
      bm2(214)=bm1(249)

      bm2(215)=bm1(251)
      bm2(216)=bm1(252)

      nob=216

      return

      end 


      subroutine bmx2b406(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the nonconnected terms in Bowman's approach
*  and the 2body terms
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      bm2(1)=bm1(1)
      bm2(2)=bm1(6)

      bm2(3)=bm1(7)
      bm2(4)=bm1(8)
 
      bm2(5)=bm1(10) 
      bm2(6)=bm1(11)
 
      bm2(7)=bm1(13)
      bm2(8)=bm1(14)

      do i=9,24
        bm2(i)=bm1(i+10)
      enddo

      bm2(25)=bm1(36)
      bm2(26)=bm1(37)

      bm2(27)=bm1(39)
      bm2(28)=bm1(40)

      bm2(29)=bm1(42)
      bm2(30)=bm1(43)

      bm2(31)=bm1(45)
      bm2(32)=bm1(46)

      do i=33,79
        bm2(i)=bm1(i+18)
      enddo

      bm2(80)=bm1(99)
      bm2(81)=bm1(100)

      bm2(82)=bm1(102)
      bm2(83)=bm1(103)
      bm2(84)=bm1(104)

      bm2(85)=bm1(106)
      bm2(86)=bm1(107)

      bm2(87)=bm1(109)
      bm2(88)=bm1(110)

      bm2(89)=bm1(112)
      bm2(90)=bm1(113)

      bm2(91)=bm1(115)
      bm2(92)=bm1(116)

      do i=93,199
        bm2(i)=bm1(i+28)
      enddo

      bm2(200)=bm1(229)
      bm2(201)=bm1(230)

      bm2(202)=bm1(232)
      bm2(203)=bm1(233)

      bm2(204)=bm1(235)
      bm2(205)=bm1(236)
      bm2(206)=bm1(237)

      bm2(207)=bm1(239)
      bm2(208)=bm1(240)

      bm2(209)=bm1(242)
      bm2(210)=bm1(243)

      bm2(211)=bm1(245)
      bm2(212)=bm1(246)

      bm2(213)=bm1(248)
      bm2(214)=bm1(249)

      bm2(215)=bm1(251)
      bm2(216)=bm1(252)

      do i=217,426
        bm2(i)=bm1(i+40)
      enddo

      bm2(427)=bm1(468)
      bm2(428)=bm1(469)

      bm2(429)=bm1(471)
      bm2(430)=bm1(472)

      bm2(431)=bm1(474)
      bm2(432)=bm1(475)
      bm2(433)=bm1(476)

      bm2(434)=bm1(478)
      bm2(435)=bm1(479)
      bm2(436)=bm1(480)

      bm2(437)=bm1(482)
      bm2(438)=bm1(483)

      bm2(439)=bm1(485)
      bm2(440)=bm1(486)

      bm2(441)=bm1(488)
      bm2(442)=bm1(489)

      bm2(443)=bm1(491)
      bm2(444)=bm1(492)

      bm2(445)=bm1(494)
      bm2(446)=bm1(495)

      bm2(447)=bm1(497)
      bm2(448)=bm1(498)

      nob=448

      return

      end



      subroutine bmx2b407(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the nonconnected terms in Bowman's approach
*  and the 2body terms
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      bm2(1)=bm1(1)
      bm2(2)=bm1(6)

      bm2(3)=bm1(7)
      bm2(4)=bm1(8)
 
      bm2(5)=bm1(10) 
      bm2(6)=bm1(11)
 
      bm2(7)=bm1(13)
      bm2(8)=bm1(14)

      do i=9,24
        bm2(i)=bm1(i+10)
      enddo

      bm2(25)=bm1(36)
      bm2(26)=bm1(37)

      bm2(27)=bm1(39)
      bm2(28)=bm1(40)

      bm2(29)=bm1(42)
      bm2(30)=bm1(43)

      bm2(31)=bm1(45)
      bm2(32)=bm1(46)

      do i=33,79
        bm2(i)=bm1(i+18)
      enddo

      bm2(80)=bm1(99)
      bm2(81)=bm1(100)

      bm2(82)=bm1(102)
      bm2(83)=bm1(103)
      bm2(84)=bm1(104)

      bm2(85)=bm1(106)
      bm2(86)=bm1(107)

      bm2(87)=bm1(109)
      bm2(88)=bm1(110)

      bm2(89)=bm1(112)
      bm2(90)=bm1(113)

      bm2(91)=bm1(115)
      bm2(92)=bm1(116)

      do i=93,199
        bm2(i)=bm1(i+28)
      enddo

      bm2(200)=bm1(229)
      bm2(201)=bm1(230)

      bm2(202)=bm1(232)
      bm2(203)=bm1(233)

      bm2(204)=bm1(235)
      bm2(205)=bm1(236)
      bm2(206)=bm1(237)

      bm2(207)=bm1(239)
      bm2(208)=bm1(240)

      bm2(209)=bm1(242)
      bm2(210)=bm1(243)

      bm2(211)=bm1(245)
      bm2(212)=bm1(246)

      bm2(213)=bm1(248)
      bm2(214)=bm1(249)

      bm2(215)=bm1(251)
      bm2(216)=bm1(252)

      do i=217,426
        bm2(i)=bm1(i+40)
      enddo

      bm2(427)=bm1(468)
      bm2(428)=bm1(469)

      bm2(429)=bm1(471)
      bm2(430)=bm1(472)

      bm2(431)=bm1(474)
      bm2(432)=bm1(475)
      bm2(433)=bm1(476)

      bm2(434)=bm1(478)
      bm2(435)=bm1(479)
      bm2(436)=bm1(480)

      bm2(437)=bm1(482)
      bm2(438)=bm1(483)

      bm2(439)=bm1(485)
      bm2(440)=bm1(486)

      bm2(441)=bm1(488)
      bm2(442)=bm1(489)

      bm2(443)=bm1(491)
      bm2(444)=bm1(492)

      bm2(445)=bm1(494)
      bm2(446)=bm1(495)

      bm2(447)=bm1(497)
      bm2(448)=bm1(498)

      do i=449,822
        bm2(i)=bm1(i+54)
      enddo

      bm2(823)=bm1(878)
      bm2(824)=bm1(879)

      bm2(825)=bm1(881)
      bm2(826)=bm1(882)

      bm2(827)=bm1(884)
      bm2(828)=bm1(885)

      bm2(829)=bm1(887)
      bm2(830)=bm1(888)
      bm2(831)=bm1(889)

      bm2(832)=bm1(891)
      bm2(833)=bm1(892)
      bm2(834)=bm1(893)

      bm2(835)=bm1(895)
      bm2(836)=bm1(896)
      
      bm2(837)=bm1(898)
      bm2(838)=bm1(899)

      bm2(839)=bm1(901)
      bm2(840)=bm1(902)

      bm2(841)=bm1(904)
      bm2(842)=bm1(905)
      
      bm2(843)=bm1(907)
      bm2(844)=bm1(908)

      bm2(845)=bm1(910)
      bm2(846)=bm1(911)

      bm2(847)=bm1(913)
      bm2(848)=bm1(914)

      nob=848

      return

      end



      subroutine bmx2b408(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the nonconnected terms in Bowman's approach
*  and the 2body terms
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      bm2(1)=bm1(1)
      bm2(2)=bm1(6)

      bm2(3)=bm1(7)
      bm2(4)=bm1(8)
 
      bm2(5)=bm1(10) 
      bm2(6)=bm1(11)
 
      bm2(7)=bm1(13)
      bm2(8)=bm1(14)

      do i=9,24
        bm2(i)=bm1(i+10)
      enddo

      bm2(25)=bm1(36)
      bm2(26)=bm1(37)

      bm2(27)=bm1(39)
      bm2(28)=bm1(40)

      bm2(29)=bm1(42)
      bm2(30)=bm1(43)

      bm2(31)=bm1(45)
      bm2(32)=bm1(46)

      do i=33,79
        bm2(i)=bm1(i+18)
      enddo

      bm2(80)=bm1(99)
      bm2(81)=bm1(100)

      bm2(82)=bm1(102)
      bm2(83)=bm1(103)
      bm2(84)=bm1(104)

      bm2(85)=bm1(106)
      bm2(86)=bm1(107)

      bm2(87)=bm1(109)
      bm2(88)=bm1(110)

      bm2(89)=bm1(112)
      bm2(90)=bm1(113)

      bm2(91)=bm1(115)
      bm2(92)=bm1(116)

      do i=93,199
        bm2(i)=bm1(i+28)
      enddo

      bm2(200)=bm1(229)
      bm2(201)=bm1(230)

      bm2(202)=bm1(232)
      bm2(203)=bm1(233)

      bm2(204)=bm1(235)
      bm2(205)=bm1(236)
      bm2(206)=bm1(237)

      bm2(207)=bm1(239)
      bm2(208)=bm1(240)

      bm2(209)=bm1(242)
      bm2(210)=bm1(243)

      bm2(211)=bm1(245)
      bm2(212)=bm1(246)

      bm2(213)=bm1(248)
      bm2(214)=bm1(249)

      bm2(215)=bm1(251)
      bm2(216)=bm1(252)

      do i=217,426
        bm2(i)=bm1(i+40)
      enddo

      bm2(427)=bm1(468)
      bm2(428)=bm1(469)

      bm2(429)=bm1(471)
      bm2(430)=bm1(472)

      bm2(431)=bm1(474)
      bm2(432)=bm1(475)
      bm2(433)=bm1(476)

      bm2(434)=bm1(478)
      bm2(435)=bm1(479)
      bm2(436)=bm1(480)

      bm2(437)=bm1(482)
      bm2(438)=bm1(483)

      bm2(439)=bm1(485)
      bm2(440)=bm1(486)

      bm2(441)=bm1(488)
      bm2(442)=bm1(489)

      bm2(443)=bm1(491)
      bm2(444)=bm1(492)

      bm2(445)=bm1(494)
      bm2(446)=bm1(495)

      bm2(447)=bm1(497)
      bm2(448)=bm1(498)

      do i=449,822
        bm2(i)=bm1(i+54)
      enddo

      bm2(823)=bm1(878)
      bm2(824)=bm1(879)

      bm2(825)=bm1(881)
      bm2(826)=bm1(882)

      bm2(827)=bm1(884)
      bm2(828)=bm1(885)

      bm2(829)=bm1(887)
      bm2(830)=bm1(888)
      bm2(831)=bm1(889)

      bm2(832)=bm1(891)
      bm2(833)=bm1(892)
      bm2(834)=bm1(893)

      bm2(835)=bm1(895)
      bm2(836)=bm1(896)
      
      bm2(837)=bm1(898)
      bm2(838)=bm1(899)

      bm2(839)=bm1(901)
      bm2(840)=bm1(902)

      bm2(841)=bm1(904)
      bm2(842)=bm1(905)
      
      bm2(843)=bm1(907)
      bm2(844)=bm1(908)

      bm2(845)=bm1(910)
      bm2(846)=bm1(911)

      bm2(847)=bm1(913)
      bm2(848)=bm1(914)

      do i=849,1470
        bm2(i)=bm1(i+70)
      enddo

      bm2(1471)=bm1(1542)
      bm2(1472)=bm1(1543)

      bm2(1473)=bm1(1545)
      bm2(1474)=bm1(1546)

      bm2(1475)=bm1(1548)
      bm2(1476)=bm1(1549)

      bm2(1477)=bm1(1551)
      bm2(1478)=bm1(1552)
      bm2(1479)=bm1(1553)

      bm2(1480)=bm1(1555)
      bm2(1481)=bm1(1556)
      bm2(1482)=bm1(1557)

      bm2(1483)=bm1(1559)
      bm2(1484)=bm1(1560)
      bm2(1485)=bm1(1561)

      bm2(1486)=bm1(1563)
      bm2(1487)=bm1(1564)

      bm2(1488)=bm1(1566)
      bm2(1489)=bm1(1567)

      bm2(1490)=bm1(1569)
      bm2(1491)=bm1(1570)

      bm2(1492)=bm1(1572)
      bm2(1493)=bm1(1573)

      bm2(1494)=bm1(1575)
      bm2(1495)=bm1(1576)

      bm2(1496)=bm1(1578)
      bm2(1497)=bm1(1579)

      bm2(1498)=bm1(1581)
      bm2(1499)=bm1(1582)

      bm2(1500)=bm1(1584)
      bm2(1501)=bm1(1585)

      nob=1501

      return

      end
