      subroutine bmxnc305(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the nonconnected terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      do i=1,5
        bm2(i)=bm1(i)
      enddo
 
      do i=6,7
        bm2(i)=bm1(i+1)
      enddo
  
      do i=8,21
        bm2(i)=bm1(i+2)
      enddo

      do i=22,23  
        bm2(i)=bm1(i+3)
      enddo

      bm2(24)=bm1(28) 

      do i=25,54
        bm2(i)=bm1(i+5)
      enddo

      do i=55,57
        bm2(i)=bm1(i+6)  
      enddo

      do i=58,59
        bm2(i)=bm1(i+7)
      enddo

      bm2(60)=bm1(68)

      bm2(61)=bm1(70)

      do i=62,125
        bm2(i)=bm1(i+10)
      enddo

      do i=126,128
        bm2(i)=bm1(i+11)     
      enddo

      do i=129,130
        bm2(i)=bm1(i+12)
      enddo

      bm2(131)=bm1(144)

      bm2(132)=bm1(146)

      bm2(133)=bm1(148)

      do i=134,137
        bm2(i)=bm1(i+16)
      enddo  

      nob=137

      return

      end 
      subroutine bmxnc306(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the nonconnected terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      do i=1,5
        bm2(i)=bm1(i)
      enddo
 
      do i=6,7
        bm2(i)=bm1(i+1)
      enddo
  
      do i=8,21
        bm2(i)=bm1(i+2)
      enddo

      do i=22,23  
        bm2(i)=bm1(i+3)
      enddo

      bm2(24)=bm1(28) 

      do i=25,54
        bm2(i)=bm1(i+5)
      enddo

      do i=55,57
        bm2(i)=bm1(i+6)  
      enddo

      do i=58,59
        bm2(i)=bm1(i+7)
      enddo

      bm2(60)=bm1(68)

      bm2(61)=bm1(70)

      do i=62,125
        bm2(i)=bm1(i+10)
      enddo

      do i=126,128
        bm2(i)=bm1(i+11)     
      enddo

      do i=129,130
        bm2(i)=bm1(i+12)
      enddo

      bm2(131)=bm1(144)

      bm2(132)=bm1(146)

      bm2(133)=bm1(148)

      do i=134,137
        bm2(i)=bm1(i+16)
      enddo  

      do i=138,251
        bm2(i)=bm1(i+16)
      enddo

      do i=252,254
        bm2(i)=bm1(i+17)
      enddo

      do i=255,257
        bm2(i)=bm1(i+18)
      enddo
     
      do i=258,259
        bm2(i)=bm1(i+19)
      enddo

      bm2(260)=bm1(280)

      bm2(261)=bm1(282)
 
      bm2(262)=bm1(284)

      bm2(263)=bm1(286)

      do i=264,267
        bm2(i)=bm1(i+24)
      enddo

      nob=267

      return

      end 
      subroutine bmxnc307(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the nonconnected terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      do i=1,5
        bm2(i)=bm1(i)
      enddo
 
      do i=6,7
        bm2(i)=bm1(i+1)
      enddo
  
      do i=8,21
        bm2(i)=bm1(i+2)
      enddo

      do i=22,23  
        bm2(i)=bm1(i+3)
      enddo

      bm2(24)=bm1(28) 

      do i=25,54
        bm2(i)=bm1(i+5)
      enddo

      do i=55,57
        bm2(i)=bm1(i+6)  
      enddo

      do i=58,59
        bm2(i)=bm1(i+7)
      enddo

      bm2(60)=bm1(68)

      bm2(61)=bm1(70)

      do i=62,125
        bm2(i)=bm1(i+10)
      enddo

      do i=126,128
        bm2(i)=bm1(i+11)     
      enddo

      do i=129,130
        bm2(i)=bm1(i+12)
      enddo

      bm2(131)=bm1(144)

      bm2(132)=bm1(146)

      bm2(133)=bm1(148)

      do i=134,137
        bm2(i)=bm1(i+16)
      enddo  

      do i=138,251
        bm2(i)=bm1(i+16)
      enddo

      do i=252,254
        bm2(i)=bm1(i+17)
      enddo

      do i=255,257
        bm2(i)=bm1(i+18)
      enddo
     
      do i=258,259
        bm2(i)=bm1(i+19)
      enddo

      bm2(260)=bm1(280)

      bm2(261)=bm1(282)
 
      bm2(262)=bm1(284)

      bm2(263)=bm1(286)

      do i=264,267
        bm2(i)=bm1(i+24)
      enddo

      do i=268,469
        bm2(i)=bm1(i+24)
      enddo

      do i=470,472
        bm2(i)=bm1(i+25)
      enddo

      do i=473,475
        bm2(i)=bm1(i+26)
      enddo

      do i=476,477
        bm2(i)=bm1(i+27)
      enddo

      bm2(478)=bm1(506)

      bm2(479)=bm1(508)

      bm2(480)=bm1(510)

      bm2(481)=bm1(512)

      bm2(482)=bm1(514)

      do i=483,486
        bm2(i)=bm1(i+33)
      enddo
      
      nob=486

      return

      end 
      subroutine bmxnc308(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the nonconnected terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      do i=1,5
        bm2(i)=bm1(i)
      enddo
 
      do i=6,7
        bm2(i)=bm1(i+1)
      enddo
  
      do i=8,21
        bm2(i)=bm1(i+2)
      enddo

      do i=22,23  
        bm2(i)=bm1(i+3)
      enddo

      bm2(24)=bm1(28) 

      do i=25,54
        bm2(i)=bm1(i+5)
      enddo

      do i=55,57
        bm2(i)=bm1(i+6)  
      enddo

      do i=58,59
        bm2(i)=bm1(i+7)
      enddo

      bm2(60)=bm1(68)

      bm2(61)=bm1(70)

      do i=62,125
        bm2(i)=bm1(i+10)
      enddo

      do i=126,128
        bm2(i)=bm1(i+11)     
      enddo

      do i=129,130
        bm2(i)=bm1(i+12)
      enddo

      bm2(131)=bm1(144)

      bm2(132)=bm1(146)

      bm2(133)=bm1(148)

      do i=134,137
        bm2(i)=bm1(i+16)
      enddo  

      do i=138,251
        bm2(i)=bm1(i+16)
      enddo

      do i=252,254
        bm2(i)=bm1(i+17)
      enddo

      do i=255,257
        bm2(i)=bm1(i+18)
      enddo
     
      do i=258,259
        bm2(i)=bm1(i+19)
      enddo

      bm2(260)=bm1(280)

      bm2(261)=bm1(282)
 
      bm2(262)=bm1(284)

      bm2(263)=bm1(286)

      do i=264,267
        bm2(i)=bm1(i+24)
      enddo

      do i=268,469
        bm2(i)=bm1(i+24)
      enddo

      do i=470,472
        bm2(i)=bm1(i+25)
      enddo

      do i=473,475
        bm2(i)=bm1(i+26)
      enddo

      do i=476,477
        bm2(i)=bm1(i+27)
      enddo

      bm2(478)=bm1(506)

      bm2(479)=bm1(508)

      bm2(480)=bm1(510)

      bm2(481)=bm1(512)

      bm2(482)=bm1(514)

      do i=483,486
        bm2(i)=bm1(i+33)
      enddo
      
      do i=487,817
        bm2(i)=bm1(i+33)
      enddo

      do i=818,820
        bm2(i)=bm1(i+34)
      enddo

      do i=821,823
        bm2(i)=bm1(i+35)
      enddo

      do i=824,826
        bm2(i)=bm1(i+36)
      enddo

      do i=827,828
        bm2(i)=bm1(i+37)
      enddo

      bm2(829)=bm1(867)

      bm2(830)=bm1(869)

      bm2(831)=bm1(871)

      bm2(832)=bm1(873)

      bm2(833)=bm1(875)

      bm2(834)=bm1(877)

      do i=835,838
        bm2(i)=bm1(i+44)
      enddo

      nob=838

      return

      end 
      subroutine bmxnc309(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the nonconnected terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      do i=1,5
        bm2(i)=bm1(i)
      enddo
 
      do i=6,7
        bm2(i)=bm1(i+1)
      enddo
  
      do i=8,21
        bm2(i)=bm1(i+2)
      enddo

      do i=22,23  
        bm2(i)=bm1(i+3)
      enddo

      bm2(24)=bm1(28) 

      do i=25,54
        bm2(i)=bm1(i+5)
      enddo

      do i=55,57
        bm2(i)=bm1(i+6)  
      enddo

      do i=58,59
        bm2(i)=bm1(i+7)
      enddo

      bm2(60)=bm1(68)

      bm2(61)=bm1(70)

      do i=62,125
        bm2(i)=bm1(i+10)
      enddo

      do i=126,128
        bm2(i)=bm1(i+11)     
      enddo

      do i=129,130
        bm2(i)=bm1(i+12)
      enddo

      bm2(131)=bm1(144)

      bm2(132)=bm1(146)

      bm2(133)=bm1(148)

      do i=134,137
        bm2(i)=bm1(i+16)
      enddo  

      do i=138,251
        bm2(i)=bm1(i+16)
      enddo

      do i=252,254
        bm2(i)=bm1(i+17)
      enddo

      do i=255,257
        bm2(i)=bm1(i+18)
      enddo
     
      do i=258,259
        bm2(i)=bm1(i+19)
      enddo

      bm2(260)=bm1(280)

      bm2(261)=bm1(282)
 
      bm2(262)=bm1(284)

      bm2(263)=bm1(286)

      do i=264,267
        bm2(i)=bm1(i+24)
      enddo

      do i=268,469
        bm2(i)=bm1(i+24)
      enddo

      do i=470,472
        bm2(i)=bm1(i+25)
      enddo

      do i=473,475
        bm2(i)=bm1(i+26)
      enddo

      do i=476,477
        bm2(i)=bm1(i+27)
      enddo

      bm2(478)=bm1(506)

      bm2(479)=bm1(508)

      bm2(480)=bm1(510)

      bm2(481)=bm1(512)

      bm2(482)=bm1(514)

      do i=483,486
        bm2(i)=bm1(i+33)
      enddo
      
      do i=487,817
        bm2(i)=bm1(i+33)
      enddo

      do i=818,820
        bm2(i)=bm1(i+34)
      enddo

      do i=821,823
        bm2(i)=bm1(i+35)
      enddo

      do i=824,826
        bm2(i)=bm1(i+36)
      enddo

      do i=827,828
        bm2(i)=bm1(i+37)
      enddo

      bm2(829)=bm1(867)

      bm2(830)=bm1(869)

      bm2(831)=bm1(871)

      bm2(832)=bm1(873)

      bm2(833)=bm1(875)

      bm2(834)=bm1(877)

      bm2(835)=bm1(879)

      do i=836,838
        bm2(i)=bm1(i+44)
      enddo

      do i=839,1357
        bm2(i)=bm1(i+44)
      enddo

      do i=1358,1360
        bm2(i)=bm1(i+45)
      enddo

      do i=1361,1363
        bm2(i)=bm1(i+46)
      enddo

      do i=1364,1366
        bm2(i)=bm1(i+47)
      enddo

      do i=1367,1368
        bm2(i)=bm1(i+48)
      enddo

      bm2(1369)=bm1(1418)

      bm2(1370)=bm1(1420)

      bm2(1371)=bm1(1422)

      bm2(1372)=bm1(1424)

      bm2(1373)=bm1(1426)

      bm2(1374)=bm1(1428)

      bm2(1375)=bm1(1430)

      bm2(1376)=bm1(1432)

      do i=1377,1379
        bm2(i)=bm1(i+56) 
      enddo

      nob=1379

      return

      end 
      subroutine bmxnc310(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the nonconnected terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      do i=1,5
        bm2(i)=bm1(i)
      enddo
 
      do i=6,7
        bm2(i)=bm1(i+1)
      enddo
  
      do i=8,21
        bm2(i)=bm1(i+2)
      enddo

      do i=22,23  
        bm2(i)=bm1(i+3)
      enddo

      bm2(24)=bm1(28) 

      do i=25,54
        bm2(i)=bm1(i+5)
      enddo

      do i=55,57
        bm2(i)=bm1(i+6)  
      enddo

      do i=58,59
        bm2(i)=bm1(i+7)
      enddo

      bm2(60)=bm1(68)

      bm2(61)=bm1(70)

      do i=62,125
        bm2(i)=bm1(i+10)
      enddo

      do i=126,128
        bm2(i)=bm1(i+11)     
      enddo

      do i=129,130
        bm2(i)=bm1(i+12)
      enddo

      bm2(131)=bm1(144)

      bm2(132)=bm1(146)

      bm2(133)=bm1(148)

      do i=134,137
        bm2(i)=bm1(i+16)
      enddo  

      do i=138,251
        bm2(i)=bm1(i+16)
      enddo

      do i=252,254
        bm2(i)=bm1(i+17)
      enddo

      do i=255,257
        bm2(i)=bm1(i+18)
      enddo
     
      do i=258,259
        bm2(i)=bm1(i+19)
      enddo

      bm2(260)=bm1(280)

      bm2(261)=bm1(282)
 
      bm2(262)=bm1(284)

      bm2(263)=bm1(286)

      do i=264,267
        bm2(i)=bm1(i+24)
      enddo

      do i=268,469
        bm2(i)=bm1(i+24)
      enddo

      do i=470,472
        bm2(i)=bm1(i+25)
      enddo

      do i=473,475
        bm2(i)=bm1(i+26)
      enddo

      do i=476,477
        bm2(i)=bm1(i+27)
      enddo

      bm2(478)=bm1(506)

      bm2(479)=bm1(508)

      bm2(480)=bm1(510)

      bm2(481)=bm1(512)

      bm2(482)=bm1(514)

      do i=483,486
        bm2(i)=bm1(i+33)
      enddo
      
      do i=487,817
        bm2(i)=bm1(i+33)
      enddo

      do i=818,820
        bm2(i)=bm1(i+34)
      enddo

      do i=821,823
        bm2(i)=bm1(i+35)
      enddo

      do i=824,826
        bm2(i)=bm1(i+36)
      enddo

      do i=827,828
        bm2(i)=bm1(i+37)
      enddo

      bm2(829)=bm1(867)

      bm2(830)=bm1(869)

      bm2(831)=bm1(871)

      bm2(832)=bm1(873)

      bm2(833)=bm1(875)

      bm2(834)=bm1(877)

      bm2(835)=bm1(879)

      do i=836,838
        bm2(i)=bm1(i+44)
      enddo

      do i=839,1357
        bm2(i)=bm1(i+44)
      enddo

      do i=1358,1360
        bm2(i)=bm1(i+45)
      enddo

      do i=1361,1363
        bm2(i)=bm1(i+46)
      enddo

      do i=1364,1366
        bm2(i)=bm1(i+47)
      enddo

      do i=1367,1368
        bm2(i)=bm1(i+48)
      enddo

      bm2(1369)=bm1(1418)

      bm2(1370)=bm1(1420)

      bm2(1371)=bm1(1422)

      bm2(1372)=bm1(1424)

      bm2(1373)=bm1(1426)

      bm2(1374)=bm1(1428)

      bm2(1375)=bm1(1430)

      bm2(1376)=bm1(1432)

      do i=1377,1379
        bm2(i)=bm1(i+56) 
      enddo

      do i=1380,2158
        bm2(i)=bm1(i+56)
      enddo

      do i=2159,2161
        bm2(i)=bm1(i+57)
      enddo

      do i=2162,2164
        bm2(i)=bm1(i+58)
      enddo

      do i=2165,2167
        bm2(i)=bm1(i+59)
      enddo

      do i=2168,2170
        bm2(i)=bm1(i+60)
      enddo

      do i=2171,2172
        bm2(i)=bm1(i+61)
      enddo

      bm2(2173)=bm1(2235)

      bm2(2174)=bm1(2237)

      bm2(2175)=bm1(2239)

      bm2(2176)=bm1(2241)

      bm2(2177)=bm1(2243)

      bm2(2178)=bm1(2245)

      bm2(2179)=bm1(2247)

      bm2(2180)=bm1(2249)

      bm2(2181)=bm1(2251)

      do i=2182,2184
        bm2(i)=bm1(i+70)
      enddo

      nob=2184

      return

      end 
      subroutine bmxnc311(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the nonconnected terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      do i=1,5
        bm2(i)=bm1(i)
      enddo
 
      do i=6,7
        bm2(i)=bm1(i+1)
      enddo
  
      do i=8,21
        bm2(i)=bm1(i+2)
      enddo

      do i=22,23  
        bm2(i)=bm1(i+3)
      enddo

      bm2(24)=bm1(28) 

      do i=25,54
        bm2(i)=bm1(i+5)
      enddo

      do i=55,57
        bm2(i)=bm1(i+6)  
      enddo

      do i=58,59
        bm2(i)=bm1(i+7)
      enddo

      bm2(60)=bm1(68)

      bm2(61)=bm1(70)

      do i=62,125
        bm2(i)=bm1(i+10)
      enddo

      do i=126,128
        bm2(i)=bm1(i+11)     
      enddo

      do i=129,130
        bm2(i)=bm1(i+12)
      enddo

      bm2(131)=bm1(144)

      bm2(132)=bm1(146)

      bm2(133)=bm1(148)

      do i=134,137
        bm2(i)=bm1(i+16)
      enddo  

      do i=138,251
        bm2(i)=bm1(i+16)
      enddo

      do i=252,254
        bm2(i)=bm1(i+17)
      enddo

      do i=255,257
        bm2(i)=bm1(i+18)
      enddo
     
      do i=258,259
        bm2(i)=bm1(i+19)
      enddo

      bm2(260)=bm1(280)

      bm2(261)=bm1(282)
 
      bm2(262)=bm1(284)

      bm2(263)=bm1(286)

      do i=264,267
        bm2(i)=bm1(i+24)
      enddo

      do i=268,469
        bm2(i)=bm1(i+24)
      enddo

      do i=470,472
        bm2(i)=bm1(i+25)
      enddo

      do i=473,475
        bm2(i)=bm1(i+26)
      enddo

      do i=476,477
        bm2(i)=bm1(i+27)
      enddo

      bm2(478)=bm1(506)

      bm2(479)=bm1(508)

      bm2(480)=bm1(510)

      bm2(481)=bm1(512)

      bm2(482)=bm1(514)

      do i=483,486
        bm2(i)=bm1(i+33)
      enddo
      
      do i=487,817
        bm2(i)=bm1(i+33)
      enddo

      do i=818,820
        bm2(i)=bm1(i+34)
      enddo

      do i=821,823
        bm2(i)=bm1(i+35)
      enddo

      do i=824,826
        bm2(i)=bm1(i+36)
      enddo

      do i=827,828
        bm2(i)=bm1(i+37)
      enddo

      bm2(829)=bm1(867)

      bm2(830)=bm1(869)

      bm2(831)=bm1(871)

      bm2(832)=bm1(873)

      bm2(833)=bm1(875)

      bm2(834)=bm1(877)

      bm2(835)=bm1(879)

      do i=836,838
        bm2(i)=bm1(i+44)
      enddo

      do i=839,1357
        bm2(i)=bm1(i+44)
      enddo

      do i=1358,1360
        bm2(i)=bm1(i+45)
      enddo

      do i=1361,1363
        bm2(i)=bm1(i+46)
      enddo

      do i=1364,1366
        bm2(i)=bm1(i+47)
      enddo

      do i=1367,1368
        bm2(i)=bm1(i+48)
      enddo

      bm2(1369)=bm1(1418)

      bm2(1370)=bm1(1420)

      bm2(1371)=bm1(1422)

      bm2(1372)=bm1(1424)

      bm2(1373)=bm1(1426)

      bm2(1374)=bm1(1428)

      bm2(1375)=bm1(1430)

      bm2(1376)=bm1(1432)

      do i=1377,1379
        bm2(i)=bm1(i+56) 
      enddo

      do i=1380,2158
        bm2(i)=bm1(i+56)
      enddo

      do i=2159,2161
        bm2(i)=bm1(i+57)
      enddo

      do i=2162,2164
        bm2(i)=bm1(i+58)
      enddo

      do i=2165,2167
        bm2(i)=bm1(i+59)
      enddo

      do i=2168,2170
        bm2(i)=bm1(i+60)
      enddo

      do i=2171,2172
        bm2(i)=bm1(i+61)
      enddo

      bm2(2173)=bm1(2235)

      bm2(2174)=bm1(2237)

      bm2(2175)=bm1(2239)

      bm2(2176)=bm1(2241)

      bm2(2177)=bm1(2243)

      bm2(2178)=bm1(2245)

      bm2(2179)=bm1(2247)

      bm2(2180)=bm1(2249)

      bm2(2181)=bm1(2251)

      do i=2182,2184
        bm2(i)=bm1(i+70)
      enddo

      do i=2185,3318
        bm2(i)=bm1(i+70)
      enddo

      do i=3319,3321
        bm2(i)=bm1(i+71)
      enddo

      do i=3322,3324
        bm2(i)=bm1(i+72)
      enddo

      do i=3325,3327
        bm2(i)=bm1(i+73)
      enddo

      do i=3328,3330
        bm2(i)=bm1(i+74)
      enddo

      do i=3331,3332
        bm2(i)=bm1(i+75)
      enddo

      bm2(3333)=bm1(3409)

      bm2(3334)=bm1(3411)

      bm2(3335)=bm1(3413)

      bm2(3336)=bm1(3415)

      bm2(3337)=bm1(3417)

      bm2(3338)=bm1(3419)

      bm2(3339)=bm1(3421)

      bm2(3340)=bm1(3423)

      bm2(3341)=bm1(3425)

      bm2(3342)=bm1(3427)

      do i=3343,3345
        bm2(i)=bm1(i+85)
      enddo

      nob=3345

      return

      end
      subroutine bmxnc312(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the nonconnected terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      do i=1,5
        bm2(i)=bm1(i)
      enddo
 
      do i=6,7
        bm2(i)=bm1(i+1)
      enddo
  
      do i=8,21
        bm2(i)=bm1(i+2)
      enddo

      do i=22,23  
        bm2(i)=bm1(i+3)
      enddo

      bm2(24)=bm1(28) 

      do i=25,54
        bm2(i)=bm1(i+5)
      enddo

      do i=55,57
        bm2(i)=bm1(i+6)  
      enddo

      do i=58,59
        bm2(i)=bm1(i+7)
      enddo

      bm2(60)=bm1(68)

      bm2(61)=bm1(70)

      do i=62,125
        bm2(i)=bm1(i+10)
      enddo

      do i=126,128
        bm2(i)=bm1(i+11)     
      enddo

      do i=129,130
        bm2(i)=bm1(i+12)
      enddo

      bm2(131)=bm1(144)

      bm2(132)=bm1(146)

      bm2(133)=bm1(148)

      do i=134,137
        bm2(i)=bm1(i+16)
      enddo  

      do i=138,251
        bm2(i)=bm1(i+16)
      enddo

      do i=252,254
        bm2(i)=bm1(i+17)
      enddo

      do i=255,257
        bm2(i)=bm1(i+18)
      enddo
     
      do i=258,259
        bm2(i)=bm1(i+19)
      enddo

      bm2(260)=bm1(280)

      bm2(261)=bm1(282)
 
      bm2(262)=bm1(284)

      bm2(263)=bm1(286)

      do i=264,267
        bm2(i)=bm1(i+24)
      enddo

      do i=268,469
        bm2(i)=bm1(i+24)
      enddo

      do i=470,472
        bm2(i)=bm1(i+25)
      enddo

      do i=473,475
        bm2(i)=bm1(i+26)
      enddo

      do i=476,477
        bm2(i)=bm1(i+27)
      enddo

      bm2(478)=bm1(506)

      bm2(479)=bm1(508)

      bm2(480)=bm1(510)

      bm2(481)=bm1(512)

      bm2(482)=bm1(514)

      do i=483,486
        bm2(i)=bm1(i+33)
      enddo
      
      do i=487,817
        bm2(i)=bm1(i+33)
      enddo

      do i=818,820
        bm2(i)=bm1(i+34)
      enddo

      do i=821,823
        bm2(i)=bm1(i+35)
      enddo

      do i=824,826
        bm2(i)=bm1(i+36)
      enddo

      do i=827,828
        bm2(i)=bm1(i+37)
      enddo

      bm2(829)=bm1(867)

      bm2(830)=bm1(869)

      bm2(831)=bm1(871)

      bm2(832)=bm1(873)

      bm2(833)=bm1(875)

      bm2(834)=bm1(877)

      bm2(835)=bm1(879)

      do i=836,838
        bm2(i)=bm1(i+44)
      enddo

      do i=839,1357
        bm2(i)=bm1(i+44)
      enddo

      do i=1358,1360
        bm2(i)=bm1(i+45)
      enddo

      do i=1361,1363
        bm2(i)=bm1(i+46)
      enddo

      do i=1364,1366
        bm2(i)=bm1(i+47)
      enddo

      do i=1367,1368
        bm2(i)=bm1(i+48)
      enddo

      bm2(1369)=bm1(1418)

      bm2(1370)=bm1(1420)

      bm2(1371)=bm1(1422)

      bm2(1372)=bm1(1424)

      bm2(1373)=bm1(1426)

      bm2(1374)=bm1(1428)

      bm2(1375)=bm1(1430)

      bm2(1376)=bm1(1432)

      do i=1377,1379
        bm2(i)=bm1(i+56) 
      enddo

      do i=1380,2158
        bm2(i)=bm1(i+56)
      enddo

      do i=2159,2161
        bm2(i)=bm1(i+57)
      enddo

      do i=2162,2164
        bm2(i)=bm1(i+58)
      enddo

      do i=2165,2167
        bm2(i)=bm1(i+59)
      enddo

      do i=2168,2170
        bm2(i)=bm1(i+60)
      enddo

      do i=2171,2172
        bm2(i)=bm1(i+61)
      enddo

      bm2(2173)=bm1(2235)

      bm2(2174)=bm1(2237)

      bm2(2175)=bm1(2239)

      bm2(2176)=bm1(2241)

      bm2(2177)=bm1(2243)

      bm2(2178)=bm1(2245)

      bm2(2179)=bm1(2247)

      bm2(2180)=bm1(2249)

      bm2(2181)=bm1(2251)

      do i=2182,2184
        bm2(i)=bm1(i+70)
      enddo

      do i=2185,3318
        bm2(i)=bm1(i+70)
      enddo

      do i=3319,3321
        bm2(i)=bm1(i+71)
      enddo

      do i=3322,3324
        bm2(i)=bm1(i+72)
      enddo

      do i=3325,3327
        bm2(i)=bm1(i+73)
      enddo

      do i=3328,3330
        bm2(i)=bm1(i+74)
      enddo

      do i=3331,3332
        bm2(i)=bm1(i+75)
      enddo

      bm2(3333)=bm1(3409)

      bm2(3334)=bm1(3411)

      bm2(3335)=bm1(3413)

      bm2(3336)=bm1(3415)

      bm2(3337)=bm1(3417)

      bm2(3338)=bm1(3419)

      bm2(3339)=bm1(3421)

      bm2(3340)=bm1(3423)

      bm2(3341)=bm1(3425)

      bm2(3342)=bm1(3427)

      do i=3343,3345
        bm2(i)=bm1(i+85)
      enddo

      do i=3346,4949
        bm2(i)=bm1(i+85)
      enddo

      do i=4950,4952
        bm2(i)=bm1(i+86)
      enddo

      do i=4953,4955
        bm2(i)=bm1(i+87)
      enddo

      do i=4956,4958
        bm2(i)=bm1(i+88)
      enddo

      do i=4959,4961
        bm2(i)=bm1(i+89)
      enddo

      do i=4962,4964
        bm2(i)=bm1(i+90)
      enddo

      do i=4965,4966
        bm2(i)=bm1(i+91)
      enddo

      bm2(4967)=bm1(5059)

      bm2(4968)=bm1(5061)

      bm2(4969)=bm1(5063)

      bm2(4970)=bm1(5065)

      bm2(4971)=bm1(5067)

      bm2(4972)=bm1(5069)

      bm2(4973)=bm1(5071)

      bm2(4974)=bm1(5073)

      bm2(4975)=bm1(5075)

      bm2(4976)=bm1(5077)

      do i=4977,4980
        bm2(i)=bm1(i+102)
      enddo

      nob=4980

      return

      end 
