      subroutine bmxnc405(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the nonconnected terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      do i=1,8
        bm2(i)=bm1(i)
      enddo
 
      bm2(9)=bm1(10) 
      bm2(10)=bm1(11) 

      do i=11,32
        bm2(i)=bm1(i+2)
      enddo

      bm2(33)=bm1(36)
      bm2(34)=bm1(37)
      bm2(35)=bm1(39)
      bm2(36)=bm1(40)
      bm2(37)=bm1(42)
      bm2(38)=bm1(43)

      do i=39,91
        bm2(i)=bm1(i+6)
      enddo

      bm2(92)=bm1(99)
      bm2(93)=bm1(100)
      bm2(94)=bm1(102)
      bm2(95)=bm1(103)
      bm2(96)=bm1(104)
      bm2(97)=bm1(106)
      bm2(98)=bm1(107)
      bm2(99)=bm1(109)
      bm2(100)=bm1(110)
      bm2(101)=bm1(112)
      bm2(102)=bm1(113)

      do i=103,215
        bm2(i)=bm1(i+12)
      enddo

      bm2(216)=bm1(229)
      bm2(217)=bm1(230)

      bm2(218)=bm1(232)
      bm2(219)=bm1(233)

      bm2(220)=bm1(235)
      bm2(221)=bm1(236)
      bm2(222)=bm1(237)

      bm2(223)=bm1(239)
      bm2(224)=bm1(240)

      bm2(225)=bm1(242)
      bm2(226)=bm1(243)

      bm2(227)=bm1(245)
      bm2(228)=bm1(246)

      bm2(229)=bm1(248)
      bm2(230)=bm1(249)

      do i=231,236
        bm2(i)=bm1(i+20)
      enddo

      nob=236

      return

      end 


      subroutine bmxnc406(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the nonconnected terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      do i=1,8
        bm2(i)=bm1(i)
      enddo
 
      bm2(9)=bm1(10) 
      bm2(10)=bm1(11) 

      do i=11,32
        bm2(i)=bm1(i+2)
      enddo

      bm2(33)=bm1(36)
      bm2(34)=bm1(37)
      bm2(35)=bm1(39)
      bm2(36)=bm1(40)
      bm2(37)=bm1(42)
      bm2(38)=bm1(43)

      do i=39,91
        bm2(i)=bm1(i+6)
      enddo

      bm2(92)=bm1(99)
      bm2(93)=bm1(100)
      bm2(94)=bm1(102)
      bm2(95)=bm1(103)
      bm2(96)=bm1(104)
      bm2(97)=bm1(106)
      bm2(98)=bm1(107)
      bm2(99)=bm1(109)
      bm2(100)=bm1(110)
      bm2(101)=bm1(112)
      bm2(102)=bm1(113)

      do i=103,215
        bm2(i)=bm1(i+12)
      enddo

      bm2(216)=bm1(229)
      bm2(217)=bm1(230)

      bm2(218)=bm1(232)
      bm2(219)=bm1(233)

      bm2(220)=bm1(235)
      bm2(221)=bm1(236)
      bm2(222)=bm1(237)

      bm2(223)=bm1(239)
      bm2(224)=bm1(240)

      bm2(225)=bm1(242)
      bm2(226)=bm1(243)

      bm2(227)=bm1(245)
      bm2(228)=bm1(246)

      bm2(229)=bm1(248)
      bm2(230)=bm1(249)

      do i=231,236
        bm2(i)=bm1(i+20)
      enddo


      do i=237,446
        bm2(i)=bm1(i+20)
      enddo

      bm2(447)=bm1(468)
      bm2(448)=bm1(469)

      bm2(449)=bm1(471)
      bm2(450)=bm1(472)

      bm2(451)=bm1(474)
      bm2(452)=bm1(475)
      bm2(453)=bm1(476)

      bm2(454)=bm1(478)
      bm2(455)=bm1(479)
      bm2(456)=bm1(480)

      bm2(457)=bm1(482)
      bm2(458)=bm1(483)

      bm2(459)=bm1(485)
      bm2(460)=bm1(486)

      bm2(461)=bm1(488)
      bm2(462)=bm1(489)

      bm2(463)=bm1(491)
      bm2(464)=bm1(492)

      bm2(465)=bm1(494)
      bm2(466)=bm1(495)

      do i=467,472
        bm2(i)=bm1(i+30)
      enddo


      nob=472

      return

      end



      subroutine bmxnc407(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the nonconnected terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      do i=1,8
        bm2(i)=bm1(i)
      enddo
 
      bm2(9)=bm1(10) 
      bm2(10)=bm1(11) 

      do i=11,32
        bm2(i)=bm1(i+2)
      enddo

      bm2(33)=bm1(36)
      bm2(34)=bm1(37)
      bm2(35)=bm1(39)
      bm2(36)=bm1(40)
      bm2(37)=bm1(42)
      bm2(38)=bm1(43)

      do i=39,91
        bm2(i)=bm1(i+6)
      enddo

      bm2(92)=bm1(99)
      bm2(93)=bm1(100)
      bm2(94)=bm1(102)
      bm2(95)=bm1(103)
      bm2(96)=bm1(104)
      bm2(97)=bm1(106)
      bm2(98)=bm1(107)
      bm2(99)=bm1(109)
      bm2(100)=bm1(110)
      bm2(101)=bm1(112)
      bm2(102)=bm1(113)

      do i=103,215
        bm2(i)=bm1(i+12)
      enddo

      bm2(216)=bm1(229)
      bm2(217)=bm1(230)

      bm2(218)=bm1(232)
      bm2(219)=bm1(233)

      bm2(220)=bm1(235)
      bm2(221)=bm1(236)
      bm2(222)=bm1(237)

      bm2(223)=bm1(239)
      bm2(224)=bm1(240)

      bm2(225)=bm1(242)
      bm2(226)=bm1(243)

      bm2(227)=bm1(245)
      bm2(228)=bm1(246)

      bm2(229)=bm1(248)
      bm2(230)=bm1(249)

      do i=231,236
        bm2(i)=bm1(i+20)
      enddo


      do i=237,446
        bm2(i)=bm1(i+20)
      enddo

      bm2(447)=bm1(468)
      bm2(448)=bm1(469)

      bm2(449)=bm1(471)
      bm2(450)=bm1(472)

      bm2(451)=bm1(474)
      bm2(452)=bm1(475)
      bm2(453)=bm1(476)

      bm2(454)=bm1(478)
      bm2(455)=bm1(479)
      bm2(456)=bm1(480)

      bm2(457)=bm1(482)
      bm2(458)=bm1(483)

      bm2(459)=bm1(485)
      bm2(460)=bm1(486)

      bm2(461)=bm1(488)
      bm2(462)=bm1(489)

      bm2(463)=bm1(491)
      bm2(464)=bm1(492)

      bm2(465)=bm1(494)
      bm2(466)=bm1(495)

      do i=467,472
        bm2(i)=bm1(i+30)
      enddo

      do i=473,846
        bm2(i)=bm1(i+30)
      enddo

      bm2(847)=bm1(878)
      bm2(848)=bm1(879)

      bm2(849)=bm1(881)
      bm2(850)=bm1(882)

      bm2(851)=bm1(884)
      bm2(852)=bm1(885)

      bm2(853)=bm1(887)
      bm2(854)=bm1(888)
      bm2(855)=bm1(889)

      bm2(856)=bm1(891)
      bm2(857)=bm1(892)
      bm2(858)=bm1(893)

      bm2(859)=bm1(895)
      bm2(860)=bm1(896)
      
      bm2(861)=bm1(898)
      bm2(862)=bm1(899)

      bm2(863)=bm1(901)
      bm2(864)=bm1(902)

      bm2(865)=bm1(904)
      bm2(866)=bm1(905)
      
      bm2(867)=bm1(907)
      bm2(868)=bm1(908)

      bm2(869)=bm1(910)
      bm2(870)=bm1(911)

      do i=871,876
        bm2(i)=bm1(i+42)
      enddo

      nob=876

      return

      end



      subroutine bmxnc408(bm1,bm2,nobm,nob)
***********************************************************************
*  The subroutine elminate the nonconnected terms in Bowman's approach
***********************************************************************

      implicit double precision (a-h,o-z)

      integer i
      double precision bm1(nobm), bm2(nobm)

      do i=1,8
        bm2(i)=bm1(i)
      enddo
 
      bm2(9)=bm1(10) 
      bm2(10)=bm1(11) 

      do i=11,32
        bm2(i)=bm1(i+2)
      enddo

      bm2(33)=bm1(36)
      bm2(34)=bm1(37)
      bm2(35)=bm1(39)
      bm2(36)=bm1(40)
      bm2(37)=bm1(42)
      bm2(38)=bm1(43)

      do i=39,91
        bm2(i)=bm1(i+6)
      enddo

      bm2(92)=bm1(99)
      bm2(93)=bm1(100)
      bm2(94)=bm1(102)
      bm2(95)=bm1(103)
      bm2(96)=bm1(104)
      bm2(97)=bm1(106)
      bm2(98)=bm1(107)
      bm2(99)=bm1(109)
      bm2(100)=bm1(110)
      bm2(101)=bm1(112)
      bm2(102)=bm1(113)

      do i=103,215
        bm2(i)=bm1(i+12)
      enddo

      bm2(216)=bm1(229)
      bm2(217)=bm1(230)

      bm2(218)=bm1(232)
      bm2(219)=bm1(233)

      bm2(220)=bm1(235)
      bm2(221)=bm1(236)
      bm2(222)=bm1(237)

      bm2(223)=bm1(239)
      bm2(224)=bm1(240)

      bm2(225)=bm1(242)
      bm2(226)=bm1(243)

      bm2(227)=bm1(245)
      bm2(228)=bm1(246)

      bm2(229)=bm1(248)
      bm2(230)=bm1(249)

      do i=231,236
        bm2(i)=bm1(i+20)
      enddo


      do i=237,446
        bm2(i)=bm1(i+20)
      enddo

      bm2(447)=bm1(468)
      bm2(448)=bm1(469)

      bm2(449)=bm1(471)
      bm2(450)=bm1(472)

      bm2(451)=bm1(474)
      bm2(452)=bm1(475)
      bm2(453)=bm1(476)

      bm2(454)=bm1(478)
      bm2(455)=bm1(479)
      bm2(456)=bm1(480)

      bm2(457)=bm1(482)
      bm2(458)=bm1(483)

      bm2(459)=bm1(485)
      bm2(460)=bm1(486)

      bm2(461)=bm1(488)
      bm2(462)=bm1(489)

      bm2(463)=bm1(491)
      bm2(464)=bm1(492)

      bm2(465)=bm1(494)
      bm2(466)=bm1(495)

      do i=467,472
        bm2(i)=bm1(i+30)
      enddo

      do i=473,846
        bm2(i)=bm1(i+30)
      enddo

      bm2(847)=bm1(878)
      bm2(848)=bm1(879)

      bm2(849)=bm1(881)
      bm2(850)=bm1(882)

      bm2(851)=bm1(884)
      bm2(852)=bm1(885)

      bm2(853)=bm1(887)
      bm2(854)=bm1(888)
      bm2(855)=bm1(889)

      bm2(856)=bm1(891)
      bm2(857)=bm1(892)
      bm2(858)=bm1(893)

      bm2(859)=bm1(895)
      bm2(860)=bm1(896)
      
      bm2(861)=bm1(898)
      bm2(862)=bm1(899)

      bm2(863)=bm1(901)
      bm2(864)=bm1(902)

      bm2(865)=bm1(904)
      bm2(866)=bm1(905)
      
      bm2(867)=bm1(907)
      bm2(868)=bm1(908)

      bm2(869)=bm1(910)
      bm2(870)=bm1(911)

      do i=871,876
        bm2(i)=bm1(i+42)
      enddo

      do i=877,1498
        bm2(i)=bm1(i+42)
      enddo

      bm2(1499)=bm1(1542)
      bm2(1500)=bm1(1543)

      bm2(1501)=bm1(1545)
      bm2(1502)=bm1(1546)

      bm2(1503)=bm1(1548)
      bm2(1504)=bm1(1549)

      bm2(1505)=bm1(1551)
      bm2(1506)=bm1(1552)
      bm2(1507)=bm1(1553)

      bm2(1508)=bm1(1555)
      bm2(1509)=bm1(1556)
      bm2(1510)=bm1(1557)

      bm2(1511)=bm1(1559)
      bm2(1512)=bm1(1560)
      bm2(1513)=bm1(1561)

      bm2(1514)=bm1(1563)
      bm2(1515)=bm1(1564)

      bm2(1516)=bm1(1566)
      bm2(1517)=bm1(1567)

      bm2(1518)=bm1(1569)
      bm2(1519)=bm1(1570)

      bm2(1520)=bm1(1572)
      bm2(1521)=bm1(1573)

      bm2(1522)=bm1(1575)
      bm2(1523)=bm1(1576)

      bm2(1524)=bm1(1578)
      bm2(1525)=bm1(1579)

      bm2(1526)=bm1(1581)
      bm2(1527)=bm1(1582)

      do i=1528,1533
        bm2(i)=bm1(i+56)
      enddo

      nob=1533

      return

      end
