      subroutine evms(dist,rms,iab)
      
      implicit double precision (a-h,o-z) 

      common /optn/ iatyp,icop,imethd,iwop,ityp,nfun,imga,imgb,imgc,imgd
      common /msprmt/ arng(6),brng(6),crng(6),drng(6)
      common /msprmt3/ erng(6),frng(6),grng(6),hrng(6)
      common /msprmt2/ ra(6),rb(6),rc(6),rd(6),re(6),rf(6),rg(6),rh(6)

      integer i,iab
      double precision dist(6),rms(6)

      do i=1,6
        rms(i)=0.0d0
      enddo
      
      do i=1,6
C for iordera
        if (iab .eq. 1) then
          if (imga .eq. 1) then
C Morse term: exp(-(r-ra)/a)
            rms(i)=exp(-(dist(i)-ra(i))/arng(i))
          else if (imga .eq. 2) then
C Gaussian function: exp(-(r-ra)^2/a)
            rms(i)=exp(-(dist(i)-ra(i))*(dist(i)-ra(i))/arng(i))
          else if (imga .eq. 3) then
C Mixed exponential Gaussian (MEG) term: exp(-(r-ra)/a-(r-rb)^2/b)
            rms(i)=exp(-(dist(i)-ra(i))/arng(i)
     $                 -(dist(i)-rb(i))*(dist(i)-rb(i))/brng(i))
          else if (imga .eq. 4) then
C SECH based term: 1/cosh(r-ra)/a)
            rms(i)=1.0d0/cosh((dist(i)-ra(i))/arng(i))
C Mixed distance sin function -YS
            if (i .gt. 3) then
            rms(i)=dist(i)*(1-0.5*tanh(dist(i)-ra(i)))
     $             *sin(dist(i)/dist(i-3))
     $             *sin(dist(i)/dist(i-4))
     $             *sin(dist(i)/dist(i-5))
            else if (i .lt. 4) then
            rms(i)=dist(i)*(1-0.5*tanh(dist(i)-ra(i)))
     $             *sin(dist(i)/dist(i+3))
     $             *sin(dist(i)/dist(i+4))
     $             *sin(dist(i)/dist(i+5))

            endif
          endif
C for iorderb
        else if (iab .eq. 2) then        
          if (imgb .eq. 1) then
C Morse term: exp(-(r-ra)/a)
            rms(i)=exp(-(dist(i)-rc(i))/crng(i))
          else if (imgb .eq. 2) then
C Gaussian function: exp(-(r-ra)^2/a)
            rms(i)=exp(-(dist(i)-rc(i))*(dist(i)-rc(i))/crng(i))
          else if (imgb .eq. 3) then
C Mixed exponential Gaussian (MEG) term: exp(-(r-ra)/a-(r-rb)^2/b)
            rms(i)=exp(-(dist(i)-rc(i))/crng(i)
     $                 -(dist(i)-rd(i))*(dist(i)-rd(i))/drng(i))
          else if (imgb .eq. 4) then
C SECH based term: 1/cosh(r-ra)/a)
            rms(i)=1.0d0/cosh((dist(i)-rc(i))/crng(i))
          endif
C for iorderc
        else if (iab .eq. 3) then
          if (imgc .eq. 1) then
C Morse term: exp(-(r-ra)/a)
            rms(i)=exp(-(dist(i)-re(i))/erng(i))
          else if (imgc .eq. 2) then
C Gaussian function: exp(-(r-ra)^2/a)
            rms(i)=exp(-(dist(i)-re(i))*(dist(i)-re(i))/erng(i))
          else if (imgc .eq. 3) then
C Mixed exponential Gaussian (MEG) term: exp(-(r-ra)/a-(r-rb)^2/b)
            rms(i)=exp(-(dist(i)-re(i))/erng(i)
     $                 -(dist(i)-rf(i))*(dist(i)-rf(i))/frng(i))
          else if (imgc .eq. 4) then
C SECH based term: 1/cosh(r-ra)/a)
            rms(i)=1.0d0/cosh((dist(i)-re(i))/erng(i))
          endif
C for iorderd
        else if (iab .eq. 4) then
          if (imgd .eq. 1) then
C Morse term: exp(-(r-ra)/a)
            rms(i)=exp(-(dist(i)-rg(i))/grng(i))
          else if (imgd .eq. 2) then
C Gaussian function: exp(-(r-ra)^2/a)
            rms(i)=exp(-(dist(i)-rg(i))*(dist(i)-rg(i))/grng(i))
          else if (imgd .eq. 3) then
C Mixed exponential Gaussian (MEG) term: exp(-(r-ra)/a-(r-rb)^2/b)
            rms(i)=exp(-(dist(i)-rg(i))/grng(i)
     $                 -(dist(i)-rh(i))*(dist(i)-rh(i))/hrng(i))
          else if (imgd .eq. 4) then
C SECH based term: 1/cosh(r-ra)/a)
            rms(i)=1.0d0/cosh((dist(i)-rg(i))/grng(i))
          endif
        endif
      enddo

      end 
