      subroutine change_case(str1,str2,icase)
***********************************************************************
* Subroutine to do case-conversion of characters
* icase = 0 upper case to lower case
*       = 1 lower case to upper case
***********************************************************************

      implicit none

      character ch
      character*100 str1,str2
      integer i
      integer icase
      integer diff

      diff=ichar('A')-ichar('a')

      if (icase .eq. 0) then
        do i=1,len(str1)
          ch=str1(i:i)
          if ((ch .ge. 'A') .and. (ch .le. 'Z')) then
            ch=char(ichar(ch)-diff)
          endif
          str2(i:i)=ch
        enddo
      else if (icase .eq. 1) then
        do i=1,len(str1)
          ch=str1(i:i)
          if ((ch .ge. 'a') .and. (ch .le. 'z')) then
            ch=char(ichar(ch)+diff)
          endif
          str2(i:i)=ch
        enddo
      endif

      end

