
      subroutine frmbmx3b(bm1,bm2,iorder,nobm,nob)
***********************************************************************
* Subroutine to remove 2-body and non-connected terms from BM1 
* and return BM2
***********************************************************************
      
      implicit double precision (a-h,o-z)

      common /optn/ iatyp,icop,imethd,iwop,ityp,nfun,imga,imgb,imgc,imgd

      integer i,j
      double precision bm1(nobm), bm2(nobm)

C Debug
C      write(*,*) "Enter FrmBM1 subroutine!"
C Debug
      if (ityp .eq. 1) then
        write(*,*) "Removing 3 body terms only works for AB3 system."
      else if (ityp .eq. 2) then
        if (iorder .eq. 5) then
          call bmx3b205(bm1,bm2,nobm,nob)
        else if (iorder .eq. 6) then
          call bmx3b205(bm1,bm2,nobm,nob)
          call bmx3b206(bm1,bm2,nobm,nob)
        else if (iorder .eq. 7) then
          call bmx3b205(bm1,bm2,nobm,nob)
          call bmx3b206(bm1,bm2,nobm,nob)
          call bmx3b207(bm1,bm2,nobm,nob)
        else if (iorder .eq. 8) then
          call bmx3b205(bm1,bm2,nobm,nob)
          call bmx3b206(bm1,bm2,nobm,nob)
          call bmx3b207(bm1,bm2,nobm,nob)
          call bmx3b208(bm1,bm2,nobm,nob)
        else if (iorder .eq. 9) then
          call bmx3b205(bm1,bm2,nobm,nob)
          call bmx3b206(bm1,bm2,nobm,nob)
          call bmx3b207(bm1,bm2,nobm,nob)
          call bmx3b208(bm1,bm2,nobm,nob)
          call bmx3b209(bm1,bm2,nobm,nob)
        else if (iorder .eq. 10) then
          call bmx3b205(bm1,bm2,nobm,nob)
          call bmx3b206(bm1,bm2,nobm,nob)
          call bmx3b207(bm1,bm2,nobm,nob)
          call bmx3b208(bm1,bm2,nobm,nob)
          call bmx3b209(bm1,bm2,nobm,nob)
          call bmx3b210(bm1,bm2,nobm,nob)
        else if (iorder .eq. 11) then
          call bmx3b205(bm1,bm2,nobm,nob)
          call bmx3b206(bm1,bm2,nobm,nob)
          call bmx3b207(bm1,bm2,nobm,nob)
          call bmx3b208(bm1,bm2,nobm,nob)
          call bmx3b209(bm1,bm2,nobm,nob)
          call bmx3b210(bm1,bm2,nobm,nob)
          call bmx3b211(bm1,bm2,nobm,nob)
        else if (iorder .eq. 12) then
          call bmx3b205(bm1,bm2,nobm,nob)
          call bmx3b206(bm1,bm2,nobm,nob)
          call bmx3b207(bm1,bm2,nobm,nob)
          call bmx3b208(bm1,bm2,nobm,nob)
          call bmx3b209(bm1,bm2,nobm,nob)
          call bmx3b210(bm1,bm2,nobm,nob)
          call bmx3b211(bm1,bm2,nobm,nob)
          call bmx3b212(bm1,bm2,nobm,nob)
        else if (iorder .eq. 13) then
          call bmx3b205(bm1,bm2,nobm,nob)
          call bmx3b206(bm1,bm2,nobm,nob)
          call bmx3b207(bm1,bm2,nobm,nob)
          call bmx3b208(bm1,bm2,nobm,nob)
          call bmx3b209(bm1,bm2,nobm,nob)
          call bmx3b210(bm1,bm2,nobm,nob)
          call bmx3b211(bm1,bm2,nobm,nob)
          call bmx3b212(bm1,bm2,nobm,nob)
          call bmx3b213(bm1,bm2,nobm,nob)
        else if (iorder .eq. 14) then
          call bmx3b205(bm1,bm2,nobm,nob)
          call bmx3b206(bm1,bm2,nobm,nob)
          call bmx3b207(bm1,bm2,nobm,nob)
          call bmx3b208(bm1,bm2,nobm,nob)
          call bmx3b209(bm1,bm2,nobm,nob)
          call bmx3b210(bm1,bm2,nobm,nob)
          call bmx3b211(bm1,bm2,nobm,nob)
          call bmx3b212(bm1,bm2,nobm,nob)
          call bmx3b213(bm1,bm2,nobm,nob)
          call bmx3b214(bm1,bm2,nobm,nob)
        else if (iorder .eq. 0) then
         continue
        else
          write(*,*) "IOder should be <= 14 for AB3 system."
        endif
      else if (ityp .eq. 3) then
        write(*,*) "Removing 2, 3 body terms only works for AB3 system."
      else 
        write(*,*) 'Only ITyp = 1 (A4), ITyp = 2 (AB3), and'
        write(*,*) 'ITyp = 3 (A2B2) are allowed in current verion.' 
      endif

      end 
