      subroutine numb(nom,nobm,iorder)
***********************************************************************
*  The subroutine reads the array limits at allocation command 
*  for different polynomials
*
*  nom  : number of monomials
*  nobm : maximum number of basis
*
***********************************************************************

      implicit double precision (a-h,o-z)

      common /optn/ iatyp,icop,imethd,iwop,ityp,nfun,imga,imgb,imgc,imgd

      integer iorder,nom,nobm

      nom=0
      nobm=0
C Give the numbers of nom and nobm of system(ityp) and polynomial order(iorder)
C A4 system -VZ
      if (ityp .eq. 1) then
        if (iorder .eq. 5) then
          nom=63
          nobm=40 
        else if(iorder .eq. 6) then
          nom=88
          nobm=72
        else if(iorder .eq. 7) then
          nom=122
          nobm=120
        else if(iorder .eq. 8) then
          nom=112
          nobm=195
        else if(iorder .eq. 9) then
          nom=112
          nobm=306
        else if(iorder .eq. 10) then
          nom=112
          nobm=466
        else if(iorder .eq. 11) then
          nom=112
          nobm=690
        else if(iorder .eq. 12) then
          nom=112
          nobm=1003
        else if(iorder .eq. 0) then
          nom=1
          nobm=1
        else
          write(30,*) "Incorrect order of polynomials!"
          stop
        endif
C A3B system -YS
      else if(ityp .eq. 2) then
        if (iorder .eq. 5) then
          nom=33
          nobm=103
        else if(iorder .eq. 6) then
          nom=33
          nobm=196
        else if(iorder .eq. 7) then
          nom=33
          nobm=348
        else if(iorder .eq. 8) then
          nom=33
          nobm=590
        else if(iorder .eq. 9) then
          nom=33
          nobm=960
        else if(iorder .eq. 10) then
          nom=33
          nobm=1506
        else if(iorder .eq. 11) then
          nom=33
          nobm=2290
        else if(iorder .eq. 12) then
          nom=33
          nobm=3393
        else if(iorder .eq. 13) then
          nom=33
          nobm=4905
        else if(iorder .eq. 14) then
          nom=33
          nobm=6945
        else if(iorder .eq. 0) then
          nom=1
          nobm=1
        else
          write(30,*) "Incorrect order of polynomials!"
          stop
        endif
C A2B2 system
      else if(ityp .eq. 3) then
        if (iorder .eq. 5) then
          nom=18
          nobm=153
        else if(iorder .eq. 6) then
          nom=18
          nobm=291
        else if(iorder .eq. 7) then
          nom=18
          nobm=519
        else if(iorder .eq. 8) then
          nom=18
          nobm=882
        else if(iorder .eq. 9) then
          nom=18
          nobm=1435
        else if(iorder .eq. 10) then
          nom=18
          nobm=2254
        else if(iorder .eq. 11) then
          nom=18
          nobm=3430
        else if(iorder .eq. 12) then
          nom=18
          nobm=5082
        else if(iorder .eq. 0) then
          nom=1
          nobm=1
        else
          write(30,*) "Incorrect order of polynomials!"
          stop
        endif
C A2BC system
      else if(ityp .eq. 4) then
        if (iorder .eq. 5) then
          nom=11
          nobm=256
        else if(iorder .eq. 6) then
          nom=11
          nobm=502
        else if(iorder .eq. 7) then
          nom=11
          nobm=918
        else if(iorder .eq. 8) then
          nom=11
          nobm=1589
        else if(iorder .eq. 0) then
          nom=1
          nobm=1
        else
          write(30,*) "Incorrect order of polynomials!"
          stop
        endif
      endif

      return

      end subroutine numb 
